!SFX_LIC Copyright 1994-2014 CNRS, Meteo-France and Universite Paul Sabatier
!SFX_LIC This is part of the SURFEX software governed by the CeCILL-C licence
!SFX_LIC version 1. See LICENSE, CeCILL-C_V1-en.txt and CeCILL-C_V1-fr.txt  
!SFX_LIC for details. version 1.
SUBROUTINE DEFAULT_DATA_COVER(PDATA_TOWN,PDATA_NATURE,PDATA_WATER,PDATA_SEA,&
         PDATA_Z0_TOWN,PDATA_BLD_HEIGHT,PDATA_WALL_O_HOR,PDATA_BLD,PDATA_ROAD,PDATA_GARDEN,&
         PDATA_ALB_ROOF,PDATA_ALB_ROAD,PDATA_ALB_WALL,PDATA_EMIS_ROOF,          &
         PDATA_EMIS_ROAD,PDATA_EMIS_WALL,PDATA_HC_ROOF,PDATA_TC_ROOF,           &
         PDATA_D_ROOF,PDATA_HC_ROAD,PDATA_TC_ROAD,PDATA_D_ROAD,                 &
         PDATA_HC_WALL,PDATA_TC_WALL,PDATA_D_WALL,PDATA_H_TRAFFIC,              &
         PDATA_LE_TRAFFIC,PDATA_H_INDUSTRY,PDATA_LE_INDUSTRY,                   &
         PDATA_VEGTYPE,PDATA_H_TREE,PDATA_WATSUP,PDATA_IRRIGTYPE,               &
         PDATA_HTRUNK_HVEG,PDATA_WCROWN_HVEG,&
         PDATA_ROOT_DEPTH,PDATA_GROUND_DEPTH,PDATA_DICE,TPDATA_SEED,            &
         TPDATA_REAP,PDATA_IRRIGTIME,PDATA_IRRIGFRAC,PDATA_IRRIGFREQ,PDATA_F2THRESHOLD)
!
USE MODD_TYPE_DATE_SURF  
USE MODD_SURF_PAR
USE MODD_DATA_COVER_PAR
USE YOMHOOK   ,ONLY : LHOOK,   DR_HOOK
USE PARKIND1  ,ONLY : JPRB
IMPLICIT NONE
!
REAL, DIMENSION(:),     INTENT(INOUT), OPTIONAL :: PDATA_TOWN
REAL, DIMENSION(:),     INTENT(INOUT), OPTIONAL :: PDATA_NATURE
REAL, DIMENSION(:),     INTENT(INOUT), OPTIONAL :: PDATA_WATER
REAL, DIMENSION(:),     INTENT(INOUT), OPTIONAL :: PDATA_SEA
REAL, DIMENSION(:),     INTENT(INOUT), OPTIONAL :: PDATA_Z0_TOWN
REAL, DIMENSION(:),     INTENT(INOUT), OPTIONAL :: PDATA_BLD_HEIGHT
REAL, DIMENSION(:),     INTENT(INOUT), OPTIONAL :: PDATA_WALL_O_HOR
REAL, DIMENSION(:),     INTENT(INOUT), OPTIONAL :: PDATA_BLD
REAL, DIMENSION(:),     INTENT(INOUT), OPTIONAL :: PDATA_ROAD
REAL, DIMENSION(:),     INTENT(INOUT), OPTIONAL :: PDATA_GARDEN
REAL, DIMENSION(:),     INTENT(INOUT), OPTIONAL :: PDATA_ALB_ROOF
REAL, DIMENSION(:),     INTENT(INOUT), OPTIONAL :: PDATA_ALB_ROAD
REAL, DIMENSION(:),     INTENT(INOUT), OPTIONAL :: PDATA_ALB_WALL
REAL, DIMENSION(:),     INTENT(INOUT), OPTIONAL :: PDATA_EMIS_ROOF
REAL, DIMENSION(:),     INTENT(INOUT), OPTIONAL :: PDATA_EMIS_ROAD
REAL, DIMENSION(:),     INTENT(INOUT), OPTIONAL :: PDATA_EMIS_WALL
REAL, DIMENSION(:,:),   INTENT(INOUT), OPTIONAL :: PDATA_HC_ROOF
REAL, DIMENSION(:,:),   INTENT(INOUT), OPTIONAL :: PDATA_TC_ROOF
REAL, DIMENSION(:,:),   INTENT(INOUT), OPTIONAL :: PDATA_D_ROOF
REAL, DIMENSION(:,:),   INTENT(INOUT), OPTIONAL :: PDATA_HC_ROAD
REAL, DIMENSION(:,:),   INTENT(INOUT), OPTIONAL :: PDATA_TC_ROAD
REAL, DIMENSION(:,:),   INTENT(INOUT), OPTIONAL :: PDATA_D_ROAD
REAL, DIMENSION(:,:),   INTENT(INOUT), OPTIONAL :: PDATA_HC_WALL
REAL, DIMENSION(:,:),   INTENT(INOUT), OPTIONAL :: PDATA_TC_WALL
REAL, DIMENSION(:,:),   INTENT(INOUT), OPTIONAL :: PDATA_D_WALL
REAL, DIMENSION(:),     INTENT(INOUT), OPTIONAL :: PDATA_H_TRAFFIC
REAL, DIMENSION(:),     INTENT(INOUT), OPTIONAL :: PDATA_LE_TRAFFIC
REAL, DIMENSION(:),     INTENT(INOUT), OPTIONAL :: PDATA_H_INDUSTRY
REAL, DIMENSION(:),     INTENT(INOUT), OPTIONAL :: PDATA_LE_INDUSTRY
REAL, DIMENSION(:,:),   INTENT(INOUT), OPTIONAL :: PDATA_VEGTYPE
REAL, DIMENSION(:,:),   INTENT(INOUT), OPTIONAL :: PDATA_H_TREE
REAL, DIMENSION(:,:),   INTENT(INOUT), OPTIONAL :: PDATA_HTRUNK_HVEG
REAL, DIMENSION(:,:),   INTENT(INOUT), OPTIONAL :: PDATA_WCROWN_HVEG
REAL, DIMENSION(:,:),   INTENT(INOUT), OPTIONAL :: PDATA_WATSUP
REAL, DIMENSION(:,:),   INTENT(INOUT), OPTIONAL :: PDATA_IRRIGTYPE
REAL, DIMENSION(:,:),   INTENT(INOUT), OPTIONAL :: PDATA_IRRIGFRAC
REAL, DIMENSION(:,:),   INTENT(INOUT), OPTIONAL :: PDATA_IRRIGFREQ
REAL, DIMENSION(:,:),   INTENT(INOUT), OPTIONAL :: PDATA_IRRIGTIME
REAL, DIMENSION(:,:,:), INTENT(INOUT), OPTIONAL :: PDATA_F2THRESHOLD
REAL, DIMENSION(:,:),   INTENT(INOUT), OPTIONAL :: PDATA_ROOT_DEPTH
REAL, DIMENSION(:,:),   INTENT(INOUT), OPTIONAL :: PDATA_GROUND_DEPTH
REAL, DIMENSION(:,:),   INTENT(INOUT), OPTIONAL :: PDATA_DICE
TYPE(DATE_TIME), DIMENSION(:,:), INTENT(INOUT), OPTIONAL :: TPDATA_SEED
TYPE(DATE_TIME), DIMENSION(:,:), INTENT(INOUT), OPTIONAL :: TPDATA_REAP
!
!*    Declaration of local variables
!     ------------------------------ 
!
REAL(KIND=JPRB) :: ZHOOK_HANDLE
!
!------------------------------------------------------------------------------
!
IF (LHOOK) CALL DR_HOOK('DEFAULT_DATA_COVER',0,ZHOOK_HANDLE) 
!
IF (PRESENT(PDATA_TOWN)) THEN
PDATA_TOWN(:) = (/          &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   1.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   0.30,   0.10,   0.10, &
   0.20,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   1.00,   1.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.01,   0.00,   0.01,   0.00,   0.00,   0.00,   0.00,   0.00,   0.01, &
   0.00,   0.01,   0.02,   0.01,   0.01,   0.01,   0.00,   0.00,   0.00,   0.01, &
   0.00,   0.00,   0.00,   0.00,   0.01,   0.02,   0.01,   0.00,   0.00,   0.01, &
   0.00,   0.01,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.02,   0.01,   0.00,   0.00,   0.01,   0.01,   0.00,   0.01, &
   0.02,   0.01,   0.02,   0.00,   0.01,   0.02,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.03,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.01,   0.01,   0.04,   0.00,   0.00,   0.00,   0.02,   0.01,   0.01, &
   0.01,   0.01,   0.01,   0.01,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.01,   0.01,   0.01, &
   0.01,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.03,   0.04,   0.01,   0.01,   0.02,   0.01,   0.02,   0.02, &
   0.04,   0.05,   0.09,   0.04,   0.02,   0.02,   0.03,   0.05,   0.03,   0.02, &
   0.00,   0.00,   0.00,   0.02,   0.01,   0.02,   0.04,   0.00,   0.02,   0.01, &
   0.02,   0.04,   0.08,   0.05,   0.03,   0.02,   0.02,   0.02,   0.00,   0.02, &
   0.02,   0.02,   0.01,   0.03,   0.03,   0.02,   0.02,   0.02,   0.02,   0.00, &
   0.02,   0.01,   0.02,   0.01,   0.00,   0.02,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.01, &
   0.01,   0.02,   0.01,   0.01,   0.01,   0.01,   0.01,   0.01,   0.00,   0.02, &
   0.02,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.02, &
   0.01,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.01,   0.02,   0.01, &
   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00, &
   1.00,   0.00,   0.01 &
         /)
ENDIF
!-------------------------------------------------------------------            
IF (PRESENT(PDATA_NATURE)) THEN                                        
PDATA_NATURE(:) = (/          &
   0.00,   0.00,   0.00,   1.00,   1.00,   1.00,   0.00,   1.00,   1.00,   1.00, &
   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00, &
   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00, &
   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00, &
   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00, &
   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00, &
   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00, &
   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00, &
   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00, &
   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00, &
   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00, &
   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00, &
   1.00,   1.00,   1.00,   0.80,   0.80,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.70,   0.90,   0.90, &
   0.80,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00, &
   1.00,   1.00,   1.00,   1.00,   1.00,   0.80,   1.00,   1.00,   1.00,   1.00, &
   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00, &
   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00, &
   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00, &
   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00, &
   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00, &
   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   0.80,   0.80,   0.80, &
   0.50,   0.50,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00, &
   1.00,   0.99,   1.00,   0.99,   1.00,   1.00,   1.00,   1.00,   1.00,   0.99, &
   1.00,   0.99,   0.98,   0.99,   0.99,   0.99,   1.00,   1.00,   1.00,   0.99, &
   1.00,   1.00,   1.00,   1.00,   0.99,   0.98,   0.99,   1.00,   1.00,   0.99, &
   1.00,   0.99,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00, &
   1.00,   1.00,   0.98,   0.99,   1.00,   1.00,   0.99,   0.99,   1.00,   0.99, &
   0.98,   0.99,   0.98,   1.00,   0.99,   0.98,   1.00,   1.00,   1.00,   1.00, &
   1.00,   1.00,   1.00,   1.00,   1.00,   0.97,   1.00,   1.00,   1.00,   1.00, &
   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00, &
   1.00,   0.99,   0.99,   0.96,   1.00,   1.00,   1.00,   0.98,   0.99,   0.99, &
   0.99,   0.99,   0.99,   0.99,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00, &
   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00, &
   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   0.99,   0.99,   0.99, &
   0.99,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00, &
   1.00,   1.00,   0.97,   0.96,   0.99,   0.99,   0.98,   0.99,   0.98,   0.98, &
   0.96,   0.95,   0.91,   0.96,   0.98,   0.98,   0.97,   0.95,   0.97,   0.98, &
   1.00,   1.00,   1.00,   0.98,   0.99,   0.98,   0.96,   1.00,   0.98,   0.99, &
   0.98,   0.96,   0.92,   0.95,   0.97,   0.98,   0.98,   0.98,   1.00,   0.98, &
   0.98,   0.98,   0.99,   0.97,   0.97,   0.98,   0.98,   0.98,   0.98,   1.00, &
   0.98,   0.99,   0.98,   0.99,   1.00,   0.98,   1.00,   1.00,   1.00,   1.00, &
   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   0.99, &
   0.99,   0.98,   0.99,   0.99,   0.99,   0.99,   0.99,   0.99,   1.00,   0.98, &
   0.98,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   0.98, &
   0.99,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00, &
   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   0.00,   0.45, &
   0.05,   1.00,   0.01,   0.02,   0.03,   0.25,   1.00,   0.99,   0.98,   0.99, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   1.00,   0.99 &
         /)
ENDIF
!-------------------------------------------------------------------         
IF (PRESENT(PDATA_WATER)) THEN                                           
PDATA_WATER(:) = (/          &
   0.00,   1.00,   1.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.20,   0.20,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.20,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.20,   0.20,   0.20, &
   0.50,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00 &
         /)
ENDIF
!-------------------------------------------------------------------      
IF (PRESENT(PDATA_SEA)) THEN                                              
PDATA_SEA(:) = (/          &
   1.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.50,   1.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   1.00,   0.55, &
   0.95,   0.00,   0.99,   0.98,   0.97,   0.75,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00 &
         /)
ENDIF
!-------------------------------------------------------------------            
IF (PRESENT(PDATA_TOWN).AND.PRESENT(PDATA_Z0_TOWN)) THEN
PDATA_Z0_TOWN(:)=XUNDEF
WHERE(PDATA_TOWN>0.) PDATA_Z0_TOWN(:) = 1.000
PDATA_Z0_TOWN(151) = 3.000
PDATA_Z0_TOWN(155) = 2.000
PDATA_Z0_TOWN(156) = 0.500
PDATA_Z0_TOWN(157) = 2.000
PDATA_Z0_TOWN(158) = 0.010
PDATA_Z0_TOWN(159) = 0.100
PDATA_Z0_TOWN(160) = 0.500
PDATA_Z0_TOWN(254) = 2.000
PDATA_Z0_TOWN(255) = 2.000
ENDIF
!-------------------------------------------------------------------      
IF (PRESENT(PDATA_TOWN).AND.PRESENT(PDATA_BLD_HEIGHT)) THEN    
PDATA_BLD_HEIGHT(:)=XUNDEF                                          
WHERE(PDATA_TOWN>0.) PDATA_BLD_HEIGHT(:) =   10.
PDATA_BLD_HEIGHT(151) =   30.
PDATA_BLD_HEIGHT(155) =   20.
PDATA_BLD_HEIGHT(156) =    5.
PDATA_BLD_HEIGHT(157) =   20.
PDATA_BLD_HEIGHT(159) =    5.
PDATA_BLD_HEIGHT(160) =    5.
PDATA_BLD_HEIGHT(254) =   20.
PDATA_BLD_HEIGHT(255) =   20.
ENDIF
!-------------------------------------------------------------------   
IF (PRESENT(PDATA_TOWN).AND.PRESENT(PDATA_WALL_O_HOR)) THEN     
PDATA_WALL_O_HOR(:)=XUNDEF                                            
WHERE(PDATA_TOWN>0.) PDATA_WALL_O_HOR(:) =0.50
PDATA_WALL_O_HOR(  7) =0.30
PDATA_WALL_O_HOR(151) =0.90
PDATA_WALL_O_HOR(152) =0.30
PDATA_WALL_O_HOR(153) =0.30
PDATA_WALL_O_HOR(154) =0.30
PDATA_WALL_O_HOR(155) =0.45
PDATA_WALL_O_HOR(156) =0.09
PDATA_WALL_O_HOR(157) =0.90
PDATA_WALL_O_HOR(158) =0.10
PDATA_WALL_O_HOR(159) =0.10
PDATA_WALL_O_HOR(160) =0.10
PDATA_WALL_O_HOR(161) =1.00
PDATA_WALL_O_HOR(254) =1.50
PDATA_WALL_O_HOR(255) =1.50
PDATA_WALL_O_HOR(561) =0.28
PDATA_WALL_O_HOR(562) =0.27
PDATA_WALL_O_HOR(563) =0.25
PDATA_WALL_O_HOR(564) =0.16
PDATA_WALL_O_HOR(565) =0.31
PDATA_WALL_O_HOR(566) =0.28
PDATA_WALL_O_HOR(567) =0.31
PDATA_WALL_O_HOR(568) =0.25
PDATA_WALL_O_HOR(569) =0.24
PDATA_WALL_O_HOR(570) =0.25
PDATA_WALL_O_HOR(571) =0.28
ENDIF
!-------------------------------------------------------------------      
IF (PRESENT(PDATA_TOWN).AND.PRESENT(PDATA_BLD)) THEN       
PDATA_BLD(:)=XUNDEF                                        
WHERE(PDATA_TOWN>0.) PDATA_BLD(:) =0.50
PDATA_BLD(  7) =0.30
PDATA_BLD(151) =0.45
PDATA_BLD(152) =0.30
PDATA_BLD(153) =0.30
PDATA_BLD(154) =0.30
PDATA_BLD(155) =0.45
PDATA_BLD(156) =0.09
PDATA_BLD(157) =0.45
PDATA_BLD(158) =0.10
PDATA_BLD(159) =0.10
PDATA_BLD(160) =0.10
PDATA_BLD(254) =0.60
PDATA_BLD(255) =0.60
PDATA_BLD(561) =0.28
PDATA_BLD(562) =0.27
PDATA_BLD(563) =0.25
PDATA_BLD(564) =0.16
PDATA_BLD(565) =0.31
PDATA_BLD(566) =0.28
PDATA_BLD(567) =0.31
PDATA_BLD(568) =0.25
PDATA_BLD(569) =0.24
PDATA_BLD(570) =0.25
PDATA_BLD(571) =0.28
ENDIF
!------------------------------------------------------------------- 
IF (PRESENT(PDATA_TOWN).AND.PRESENT(PDATA_GARDEN).AND. PRESENT(PDATA_ROAD)) THEN  
PDATA_GARDEN(:)=XUNDEF
PDATA_ROAD(:)=XUNDEF                                                  
WHERE(PDATA_TOWN>0.) PDATA_GARDEN(:) =0.00
PDATA_GARDEN(  7) =0.40
PDATA_GARDEN(151) =0.10
PDATA_GARDEN(152) =0.40
PDATA_GARDEN(153) =0.40
PDATA_GARDEN(154) =0.40
PDATA_GARDEN(155) =0.10
PDATA_GARDEN(156) =0.10
PDATA_GARDEN(157) =0.10
PDATA_GARDEN(561) =0.44
PDATA_GARDEN(562) =0.45
PDATA_GARDEN(563) =0.51
PDATA_GARDEN(564) =0.48
PDATA_GARDEN(565) =0.37
PDATA_GARDEN(566) =0.44
PDATA_GARDEN(567) =0.38
PDATA_GARDEN(568) =0.49
PDATA_GARDEN(569) =0.52
PDATA_GARDEN(570) =0.51
PDATA_GARDEN(571) =0.44
!
WHERE(PDATA_TOWN>0. .AND. PDATA_GARDEN/=XUNDEF) PDATA_ROAD(:) = 1. - PDATA_BLD(:) - PDATA_GARDEN(:)
ENDIF
!-------------------------------------------------------------------  
IF (PRESENT(PDATA_TOWN).AND.PRESENT(PDATA_ALB_ROOF)) THEN     
  PDATA_ALB_ROOF(:)=XUNDEF                                    
  WHERE(PDATA_TOWN>0.) PDATA_ALB_ROOF(:) =0.15
ENDIF
!------------------------------------------------------------------- 
IF (PRESENT(PDATA_TOWN).AND.PRESENT(PDATA_ALB_ROAD)) THEN   
  PDATA_ALB_ROAD(:)=XUNDEF                                                
  WHERE(PDATA_TOWN>0.) PDATA_ALB_ROAD(:) =0.08
ENDIF
!-------------------------------------------------------------------     
IF (PRESENT(PDATA_TOWN).AND.PRESENT(PDATA_ALB_WALL)) THEN  
  PDATA_ALB_WALL(:)=XUNDEF                                              
  WHERE(PDATA_TOWN>0.) PDATA_ALB_WALL(:) =0.25
ENDIF
!-------------------------------------------------------------------   
IF (PRESENT(PDATA_TOWN).AND.PRESENT(PDATA_EMIS_ROOF)) THEN    
  PDATA_EMIS_ROOF(:)=XUNDEF                                              
  WHERE(PDATA_TOWN>0.) PDATA_EMIS_ROOF(:) =0.90
ENDIF
!-------------------------------------------------------------------   
IF (PRESENT(PDATA_TOWN).AND.PRESENT(PDATA_EMIS_ROAD)) THEN     
  PDATA_EMIS_ROAD(:)=XUNDEF                                             
  WHERE(PDATA_TOWN>0.) PDATA_EMIS_ROAD(:) =0.94
ENDIF
!-------------------------------------------------------------------  
IF (PRESENT(PDATA_TOWN).AND.PRESENT(PDATA_EMIS_WALL)) THEN   
  PDATA_EMIS_WALL(:)=XUNDEF                                                
  WHERE(PDATA_TOWN>0.) PDATA_EMIS_WALL(:) =0.85
ENDIF
!-------------------------------------------------------------------  
IF (PRESENT(PDATA_TOWN).AND.PRESENT(PDATA_HC_ROOF)) THEN 
PDATA_HC_ROOF(:,:)=XUNDEF                                                  
  WHERE(PDATA_TOWN>0.) PDATA_HC_ROOF(:,  1) =2.11 * 1.E6
!-------------------------------------------------------------------                                                   
  WHERE(PDATA_TOWN>0.) PDATA_HC_ROOF(:,  2) =0.28 * 1.E6
!-------------------------------------------------------------------                                             
  WHERE(PDATA_TOWN>0.) PDATA_HC_ROOF(:,  3) =0.29 * 1.E6
ENDIF
!------------------------------------------------------------------- 
IF (PRESENT(PDATA_TOWN).AND.PRESENT(PDATA_TC_ROOF)) THEN     
PDATA_TC_ROOF(:,:)=XUNDEF                                               
  WHERE(PDATA_TOWN>0.) PDATA_TC_ROOF(:,  1) =1.5100
!-------------------------------------------------------------------                                                  
  WHERE(PDATA_TOWN>0.) PDATA_TC_ROOF(:,  2) =0.0800
!-------------------------------------------------------------------                                                 
  WHERE(PDATA_TOWN>0.) PDATA_TC_ROOF(:,  3) =0.0500
ENDIF
!-------------------------------------------------------------------
IF (PRESENT(PDATA_TOWN).AND.PRESENT(PDATA_D_ROOF)) THEN     
PDATA_D_ROOF(:,:)=XUNDEF                                                
  WHERE(PDATA_TOWN>0.) PDATA_D_ROOF(:,  1) =0.050
!-------------------------------------------------------------------                                                 
  WHERE(PDATA_TOWN>0.) PDATA_D_ROOF(:,  2) =0.400
!-------------------------------------------------------------------                                                   
  WHERE(PDATA_TOWN>0.) PDATA_D_ROOF(:,  3) =0.100
ENDIF
!------------------------------------------------------------------- 
IF (PRESENT(PDATA_TOWN).AND.PRESENT(PDATA_HC_ROAD)) THEN     
 PDATA_HC_ROAD(:,:)=XUNDEF                                              
  WHERE(PDATA_TOWN>0.) PDATA_HC_ROAD(:,  1) =1.94 * 1.E6
!-------------------------------------------------------------------                                                 
  WHERE(PDATA_TOWN>0.) PDATA_HC_ROAD(:,  2) =1.28 * 1.E6
ENDIF
!------------------------------------------------------------------- 
IF (PRESENT(PDATA_TOWN).AND.PRESENT(PDATA_TC_ROAD)) THEN    
PDATA_TC_ROAD(:,:)=XUNDEF                                                
  WHERE(PDATA_TOWN>0.) PDATA_TC_ROAD(:,  1) =0.7454
!-------------------------------------------------------------------                                               
  WHERE(PDATA_TOWN>0.) PDATA_TC_ROAD(:,  2) =0.2513
ENDIF
!-------------------------------------------------------------------   
IF (PRESENT(PDATA_TOWN).AND.PRESENT(PDATA_D_ROAD)) THEN
PDATA_D_ROAD(:,:)=XUNDEF
IF (SIZE(PDATA_D_ROAD,2)==2) THEN      !for files with SURFEX_VERSION >= 9  Change in road layer definition                                          
  WHERE(PDATA_TOWN>0.) PDATA_D_ROAD(:,  1) =0.100
!-------------------------------------------------------------------                                                  
  WHERE(PDATA_TOWN>0.) PDATA_D_ROAD(:,  2) =1.000

ELSE !For files with SURFEX_VERSION<9

  WHERE(PDATA_TOWN>0.) PDATA_D_ROAD(:,  1) =0.050
!-------------------------------------------------------------------                                                  
  WHERE(PDATA_TOWN>0.) PDATA_D_ROAD(:,  2) =0.100
!-------------------------------------------------------------------                                                  
  WHERE(PDATA_TOWN>0.) PDATA_D_ROAD(:,  3) =1.000

ENDIF
ENDIF
!------------------------------------------------------------------- 
IF (PRESENT(PDATA_TOWN).AND.PRESENT(PDATA_HC_WALL)) THEN   
PDATA_HC_WALL(:,:) = XUNDEF                                                 
  WHERE(PDATA_TOWN>0.) PDATA_HC_WALL(:,  1) =1.55 * 1.E6
!-------------------------------------------------------------------                                           
  WHERE(PDATA_TOWN>0.) PDATA_HC_WALL(:,  2) =1.55 * 1.E6
!-------------------------------------------------------------------                                                
  WHERE(PDATA_TOWN>0.) PDATA_HC_WALL(:,  3) =0.29 * 1.E6
ENDIF
!-------------------------------------------------------------------  
IF (PRESENT(PDATA_TOWN).AND.PRESENT(PDATA_TC_WALL)) THEN    
PDATA_TC_WALL(:,:)=XUNDEF                                               
  WHERE(PDATA_TOWN>0.) PDATA_TC_WALL(:,  1) =0.9338
!-------------------------------------------------------------------                                              
  WHERE(PDATA_TOWN>0.) PDATA_TC_WALL(:,  2) =0.9338
!-------------------------------------------------------------------                                            
  WHERE(PDATA_TOWN>0.) PDATA_TC_WALL(:,  3) =0.0500
ENDIF
!-------------------------------------------------------------------   
IF (PRESENT(PDATA_TOWN).AND.PRESENT(PDATA_D_WALL)) THEN    
PDATA_D_WALL(:,:)=XUNDEF                                              
  WHERE(PDATA_TOWN>0.) PDATA_D_WALL(:,  1) =0.020
!-------------------------------------------------------------------                                              
  WHERE(PDATA_TOWN>0.) PDATA_D_WALL(:,  2) =0.125
!-------------------------------------------------------------------                                              
  WHERE(PDATA_TOWN>0.) PDATA_D_WALL(:,  3) =0.050
ENDIF
!------------------------------------------------------------------- 
IF (PRESENT(PDATA_TOWN).AND.PRESENT(PDATA_H_TRAFFIC)) THEN       
PDATA_H_TRAFFIC(:)=XUNDEF                                             
  WHERE(PDATA_TOWN>0.) PDATA_H_TRAFFIC(:) =   10.
PDATA_H_TRAFFIC(151) =   20.
PDATA_H_TRAFFIC(156) =   30.
PDATA_H_TRAFFIC(159) =    0.
PDATA_H_TRAFFIC(160) =    0.
PDATA_H_TRAFFIC(161) =    0.
PDATA_H_TRAFFIC(254) =    0.
PDATA_H_TRAFFIC(255) =    0.
ENDIF
!-------------------------------------------------------------------  
IF (PRESENT(PDATA_TOWN).AND.PRESENT(PDATA_LE_TRAFFIC)) THEN 
PDATA_LE_TRAFFIC(:)=XUNDEF                                                  
  WHERE(PDATA_TOWN>0.) PDATA_LE_TRAFFIC(:) =    0.
ENDIF
!------------------------------------------------------------------- 
IF (PRESENT(PDATA_TOWN).AND.PRESENT(PDATA_H_INDUSTRY)) THEN         
PDATA_H_INDUSTRY(:)=XUNDEF                                           
  WHERE(PDATA_TOWN>0.) PDATA_H_INDUSTRY(:) =    5.
PDATA_H_INDUSTRY(151) =   10.
PDATA_H_INDUSTRY(155) =   20.
PDATA_H_INDUSTRY(156) =    0.
PDATA_H_INDUSTRY(157) =   20.
PDATA_H_INDUSTRY(158) =    0.
PDATA_H_INDUSTRY(159) =    0.
PDATA_H_INDUSTRY(160) =    0.
PDATA_H_INDUSTRY(161) =    0.
PDATA_H_INDUSTRY(254) =    0.
PDATA_H_INDUSTRY(255) =    0.
ENDIF
!------------------------------------------------------------------- 
IF (PRESENT(PDATA_TOWN).AND.PRESENT(PDATA_LE_INDUSTRY)) THEN      
PDATA_LE_INDUSTRY(:)=XUNDEF                                              
  WHERE(PDATA_TOWN>0.) PDATA_LE_INDUSTRY(:) =    0.
ENDIF
!-------------------------------------------------------------------   
IF (PRESENT(PDATA_VEGTYPE)) THEN                                                 
PDATA_VEGTYPE(:,  1) = (/          &
   0.00,   0.00,   0.00,   1.00,   0.00,   0.00,   0.00,   0.00,   0.90,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.10, &
   0.00,   0.00,   0.00,   0.10,   0.00,   0.00,   0.00,   0.30,   0.20,   0.00, &
   0.20,   0.00,   0.20,   0.00,   0.00,   0.20,   0.00,   0.30,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.10,   0.00,   0.10,   0.30,   0.20,   0.20,   0.30, &
   0.30,   0.20,   0.20,   0.20,   0.20,   0.20,   0.20,   0.20,   0.20,   0.60, &
   0.50,   0.70,   0.20,   0.30,   0.40,   0.30,   0.70,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.90,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   1.00,   0.00,   1.00,   0.00,   1.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.50,   0.50,   0.50,   0.00, &
   0.50,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.20, &
   0.00,   0.00,   0.50,   0.00,   0.30,   0.10,   0.10,   0.00,   0.00,   0.40, &
   0.50,   0.50,   0.20,   0.10,   0.00,   0.80,   1.00,   0.00,   0.00,   0.00, &
   0.00,   1.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.06,   0.01,   0.00,   0.03,   0.03,   0.00,   0.00,   0.00,   0.00,   0.05, &
   0.03,   0.05,   0.00,   0.01,   0.02,   0.01,   0.02,   0.01,   0.01,   0.00, &
   0.00,   0.02,   0.08,   0.04,   0.07,   0.04,   0.30,   0.02,   0.05,   0.09, &
   0.06,   0.03,   0.04,   0.04,   0.11,   0.19,   0.12,   0.25,   0.20,   0.11, &
   0.05,   0.15,   0.13,   0.20,   0.10,   0.10,   0.10,   0.05,   0.04,   0.40, &
   0.08,   0.09,   0.08,   0.00,   0.10,   0.50,   0.55,   0.60,   0.70,   0.05, &
   0.06,   0.04,   0.09,   0.07,   0.14,   0.16,   0.30,   0.45,   0.55,   0.57, &
   0.70,   0.70,   0.65,   0.75,   0.85,   0.30,   0.39,   0.43,   0.30,   0.28, &
   0.15,   0.33,   0.54,   0.25,   0.35,   0.48,   0.44,   0.40,   0.35,   0.15, &
   0.15,   0.03,   0.04,   0.30,   0.20,   0.07,   0.15,   0.17,   0.35,   0.30, &
   0.30,   0.25,   0.15,   0.20,   0.15,   0.10,   0.30,   0.40,   0.60,   0.65, &
   0.60,   0.18,   0.45,   0.55,   0.63,   0.23,   0.45,   0.32,   0.50,   0.30, &
   0.22,   0.45,   0.57,   0.55,   0.30,   0.50,   0.55,   0.50,   0.27,   0.10, &
   0.22,   0.77,   0.63,   0.74,   0.52,   0.65,   0.88,   0.72,   0.80,   0.90, &
   0.89,   0.07,   0.07,   0.09,   0.18,   0.15,   0.15,   0.12,   0.15,   0.15, &
   0.20,   0.12,   0.15,   0.14,   0.08,   0.06,   0.12,   0.29,   0.15,   0.09, &
   0.09,   0.09,   0.09,   0.13,   0.06,   0.06,   0.13,   0.14,   0.09,   0.02, &
   0.25,   0.15,   0.35,   0.12,   0.17,   0.11,   0.43,   0.18,   0.13,   0.10, &
   0.08,   0.06,   0.22,   0.07,   0.06,   0.07,   0.04,   0.01,   0.06,   0.20, &
   0.03,   0.05,   0.06,   0.09,   0.42,   0.42,   0.27,   0.14,   0.08,   0.22, &
   0.07,   0.16,   0.25,   0.48,   0.45,   0.07,   0.21,   0.16,   0.37,   0.12, &
   0.10,   0.27,   0.25,   0.12,   0.33,   0.14,   0.14,   0.42,   0.15,   0.34, &
   0.06,   0.32,   0.03,   0.08,   0.09,   0.17,   0.32,   0.51,   0.15,   0.08, &
   0.72,   0.16,   0.00,   0.00,   1.00,   1.00,   1.00,   1.00,   1.00,   0.80, &
   0.76,   0.89,   0.90,   0.97,   0.81,   0.60,   0.85,   0.00,   0.00,   0.01, &
   1.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.02,   0.02,   0.02,   0.05,   0.14,   0.01,   0.13,   0.16,   0.00,   0.02, &
   0.04,   0.47,   0.46 &
         /)
!-------------------------------------------------------------------                                                    
PDATA_VEGTYPE(:,  2) = (/          &
   0.00,   0.00,   0.00,   0.00,   1.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.06,   0.01,   0.00,   0.04,   0.04,   0.00,   0.01,   0.00,   0.01,   0.05, &
   0.03,   0.05,   0.00,   0.02,   0.03,   0.01,   0.02,   0.02,   0.02,   0.04, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.01,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.40,   0.30,   0.20,   0.15,   0.10,   0.08,   0.05, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.05,   0.05,   0.05,   0.10,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.01,   0.02,   0.05,   0.05,   0.05,   0.13, &
   0.05,   0.05,   0.05,   0.05,   0.05,   0.00,   0.01,   0.02,   0.00,   0.02, &
   0.01,   0.00,   0.01,   0.00,   0.00,   0.02,   0.06,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.02,   0.05,   0.05,   0.05,   0.05, &
   0.05,   0.02,   0.05,   0.05,   0.07,   0.02,   0.05,   0.23,   0.05,   0.05, &
   0.03,   0.05,   0.05,   0.05,   0.05,   0.05,   0.05,   0.05,   0.03,   0.02, &
   0.03,   0.08,   0.27,   0.16,   0.23,   0.10,   0.07,   0.21,   0.12,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.01,   0.00,   0.00,   0.00,   0.01,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.01,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.03, &
   0.00,   0.01,   0.03,   0.06,   0.05,   0.01,   0.02,   0.01,   0.03,   0.01, &
   0.01,   0.02,   0.02,   0.01,   0.02,   0.01,   0.01,   0.02,   0.01,   0.03, &
   0.01,   0.03,   0.00,   0.00,   0.00,   0.00,   0.00,   0.03,   0.01,   0.00, &
   0.00,   0.07,   1.00,   1.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.19, &
   0.19,   0.09,   0.00,   0.02,   0.12,   0.25,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.02,   0.00,   0.00 &
         /)
!-------------------------------------------------------------------                                                    
PDATA_VEGTYPE(:,  3) = (/          &
   0.00,   0.00,   0.00,   0.00,   0.00,   1.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.10,   1.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00 &
         /)
!-------------------------------------------------------------------                                                    
PDATA_VEGTYPE(:,  4) = (/          &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.50,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   1.00,   0.00,   0.00,   0.00,   0.50, &
   0.00,   0.50,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.40,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.20,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.30,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.50,   0.50,   0.50,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.50, &
   0.20,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.50,   0.50,   0.50,   0.50, &
   0.50,   0.00,   0.00,   0.00,   0.00,   0.00,   0.10,   0.10,   0.10,   0.10, &
   0.10,   0.40,   0.40,   0.40,   0.40,   0.00,   0.00,   0.30,   1.00,   1.00, &
   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.50,   0.50,   0.50,   0.50,   0.50,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.20, &
   0.50,   0.00,   0.60,   0.00,   0.60,   0.00,   0.00,   0.50,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.40,   0.00,   0.00,   0.10,   0.00,   0.14,   0.25, &
   0.51,   0.49,   0.11,   0.13,   0.07,   0.54,   0.00,   0.00,   0.31,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.15,   0.39,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.08, &
   0.22,   0.04,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.14,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.16,   0.00,   0.00,   0.00,   0.00,   0.35,   0.00,   0.00,   0.07, &
   0.00,   0.07,   0.00,   0.05,   0.04,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.07,   0.00,   0.00, &
   0.10,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.04,   0.00, &
   0.00,   0.16,   0.44,   0.00,   0.17,   0.23,   0.14,   0.28,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.06,   0.10,   0.13,   0.19,   0.00,   0.07,   0.00, &
   0.00,   0.00,   0.00,   0.09,   0.02,   0.03,   0.00,   0.25,   0.00,   0.04, &
   0.03,   0.01,   0.00,   0.10,   0.09,   0.14,   0.04,   0.02,   0.12,   0.00, &
   0.13,   0.35,   0.04,   0.00,   0.00,   0.00,   0.01,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.02,   0.02,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.22,   0.00,   0.00,   0.00,   0.20, &
   0.18,   0.21,   0.26,   0.15,   0.04,   0.00,   0.04,   0.19,   0.07,   0.07, &
   0.00,   0.00,   0.00 &
         /)
!-------------------------------------------------------------------                                                    
PDATA_VEGTYPE(:,  5) = (/          &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   1.00,   0.00,   1.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.50,   0.00,   0.50,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.50,   0.50,   0.00,   0.00,   0.50,   0.50,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.30,   0.30, &
   0.00,   0.00,   0.00,   0.30,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.20,   0.20,   0.00,   0.20,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.20,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.40,   0.40,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   1.00,   1.00,   1.00, &
   1.00,   1.00,   1.00,   0.00,   0.50,   0.50,   0.50,   0.50,   0.50,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.50,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.20,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.27,   0.07,   0.14,   0.88,   0.84,   0.15,   0.85,   0.18,   0.82,   0.73, &
   0.73,   0.71,   0.18,   0.48,   0.86,   0.86,   0.80,   0.87,   0.78,   0.13, &
   0.07,   0.00,   0.24,   0.55,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.01,   0.00,   0.00, &
   0.06,   0.00,   0.00,   0.00,   0.00,   0.01,   0.00,   0.00,   0.00,   0.09, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.02,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.01, &
   0.05,   0.00,   0.01,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.05,   0.13,   0.04,   0.06,   0.05,   0.05,   0.00,   0.00,   0.00,   0.08, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.01,   0.00, &
   0.02,   0.01,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.40,   0.02,   0.04,   0.00, &
   0.00,   0.00,   0.34,   0.07,   0.00,   0.48,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00 &
         /)
!-------------------------------------------------------------------                                                    
PDATA_VEGTYPE(:,  6) = (/          &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   1.00,   1.00,   1.00,   1.00,   1.00, &
   1.00,   1.00,   1.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.30, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.30,   0.00,   0.00,   0.00, &
   0.30,   0.30,   0.00,   0.00,   0.30,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.50,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00 &
         /)
!-------------------------------------------------------------------                                                    
PDATA_VEGTYPE(:,  7) = (/          &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.20,   0.00,   0.00, &
   0.00,   0.50,   0.50,   0.00,   0.00,   0.00,   0.40,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.70,   0.00,   0.00,   0.00,   0.00,   0.50, &
   0.50,   0.00,   0.40,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.50,   0.90,   0.50,   0.90,   1.00,   0.00, &
   0.50,   0.00,   1.00,   0.90,   0.70,   0.90,   0.80,   0.30,   0.80,   1.00, &
   1.00,   1.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.90,   0.90,   0.90,   0.90,   1.00,   1.00,   0.90,   0.90,   0.90, &
   1.00,   0.80,   0.90,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.90,   0.90,   0.90,   0.90, &
   0.90,   0.60,   0.60,   0.60,   0.60,   0.60,   0.60,   0.40,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.50,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.01, &
   0.03,   0.01,   0.00,   0.01,   0.02,   0.00,   0.03,   0.02,   0.03,   0.03, &
   0.00,   0.05,   0.08,   0.01,   0.04,   0.02,   0.00,   0.00,   0.01,   0.01, &
   0.01,   0.00,   0.01,   0.00,   0.00,   0.01,   0.01,   0.00,   0.01,   0.03, &
   0.01,   0.02,   0.02,   0.00,   0.00,   0.00,   0.00,   0.01,   0.00,   0.10, &
   0.03,   0.00,   0.05,   0.04,   0.00,   0.01,   0.09,   0.01,   0.03,   0.02, &
   0.29,   0.10,   0.30,   0.05,   0.06,   0.01,   0.02,   0.00,   0.00,   0.00, &
   0.00,   0.03,   0.00,   0.01,   0.00,   0.09,   0.04,   0.04,   0.04,   0.02, &
   0.12,   0.04,   0.15,   0.05,   0.00,   0.00,   0.00,   0.00,   0.04,   0.09, &
   0.08,   0.05,   0.14,   0.26,   0.04,   0.09,   0.15,   0.19,   0.34,   0.19, &
   0.14,   0.14,   0.09,   0.06,   0.09,   0.30,   0.00,   0.00,   0.00,   0.00, &
   0.24,   0.35,   0.12,   0.09,   0.06,   0.04,   0.05,   0.01,   0.00,   0.04, &
   0.05,   0.01,   0.00,   0.01,   0.04,   0.12,   0.03,   0.09,   0.06,   0.12, &
   0.04,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.35,   0.05,   0.05,   0.02,   0.66,   0.67,   0.55,   0.57,   0.52, &
   0.39,   0.39,   0.20,   0.18,   0.10,   0.33,   0.27,   0.09,   0.42,   0.45, &
   0.65,   0.34,   0.53,   0.55,   0.58,   0.45,   0.17,   0.62,   0.55,   0.78, &
   0.58,   0.69,   0.57,   0.63,   0.62,   0.71,   0.37,   0.32,   0.64,   0.56, &
   0.80,   0.79,   0.72,   0.62,   0.61,   0.67,   0.80,   0.84,   0.54,   0.43, &
   0.72,   0.55,   0.76,   0.63,   0.52,   0.24,   0.61,   0.74,   0.49,   0.42, &
   0.49,   0.61,   0.44,   0.35,   0.36,   0.75,   0.66,   0.63,   0.34,   0.58, &
   0.46,   0.13,   0.53,   0.34,   0.14,   0.53,   0.24,   0.08,   0.32,   0.18, &
   0.32,   0.39,   0.00,   0.00,   0.00,   0.00,   0.07,   0.00,   0.15,   0.03, &
   0.00,   0.02,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.05,   0.00,   0.00,   0.00,   0.10, &
   0.20,   0.39,   0.19,   0.35,   0.14,   0.20,   0.15,   0.29,   0.69,   0.53, &
   0.19,   0.01,   0.01 &
         /)
!-------------------------------------------------------------------                                                    
PDATA_VEGTYPE(:,  8) = (/          &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.30,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.10,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.70,   0.00,   0.00,   0.20, &
   0.20,   0.00,   0.30,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.50,   0.10,   0.50,   0.10,   0.00,   1.00, &
   0.50,   1.00,   0.00,   0.10,   0.30,   0.10,   0.20,   0.70,   0.20,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.10,   0.10,   0.10,   0.10,   0.00,   0.00,   0.10,   0.10,   0.10, &
   0.00,   0.20,   0.10,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.01,   0.00,   0.00,   0.00,   0.00,   0.00,   0.02, &
   0.02,   0.01,   0.01,   0.01,   0.00,   0.01,   0.00,   0.02,   0.01,   0.01, &
   0.01,   0.00,   0.00,   0.00,   0.00,   0.01,   0.01,   0.00,   0.01,   0.00, &
   0.00,   0.00,   0.01,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.01,   0.01,   0.00,   0.00,   0.01, &
   0.01,   0.00,   0.05,   0.00,   0.02,   0.01,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.01,   0.01,   0.01,   0.00,   0.01, &
   0.03,   0.01,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.01,   0.01, &
   0.02,   0.01,   0.01,   0.01,   0.00,   0.01,   0.00,   0.01,   0.01,   0.01, &
   0.01,   0.01,   0.01,   0.01,   0.01,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.01,   0.01,   0.01,   0.01,   0.00,   0.01,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.01,   0.01,   0.00,   0.01,   0.01,   0.01, &
   0.01,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.45,   0.68,   0.73,   0.18,   0.01,   0.02,   0.01,   0.04,   0.01, &
   0.02,   0.02,   0.02,   0.02,   0.15,   0.01,   0.02,   0.01,   0.10,   0.08, &
   0.05,   0.01,   0.02,   0.05,   0.02,   0.08,   0.47,   0.03,   0.05,   0.00, &
   0.01,   0.01,   0.00,   0.01,   0.14,   0.09,   0.01,   0.03,   0.05,   0.04, &
   0.01,   0.01,   0.03,   0.01,   0.00,   0.05,   0.01,   0.00,   0.02,   0.01, &
   0.00,   0.03,   0.01,   0.01,   0.01,   0.01,   0.01,   0.01,   0.01,   0.00, &
   0.01,   0.00,   0.02,   0.01,   0.00,   0.02,   0.01,   0.01,   0.01,   0.01, &
   0.00,   0.01,   0.01,   0.01,   0.01,   0.02,   0.00,   0.01,   0.01,   0.01, &
   0.02,   0.00,   0.05,   0.09,   0.04,   0.03,   0.03,   0.02,   0.01,   0.03, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.01,   0.01,   0.05,   0.08,   0.00,   0.02,   0.01,   0.01,   0.07, &
   0.01,   0.01,   0.04 &
         /)
!-------------------------------------------------------------------                                                    
PDATA_VEGTYPE(:,  9) = (/          &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   1.00,   1.00,   1.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.01,   0.01,   0.00,   0.01,   0.00, &
   0.00,   0.01,   0.01,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.02,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.01,   0.10,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.01,   0.00,   0.00,   0.00,   0.00,   0.00,   0.02, &
   0.02,   0.00,   0.00,   0.01,   0.01,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.01,   0.00,   0.02,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.18,   0.06,   0.48,   0.01,   0.01,   0.03,   0.07,   0.09, &
   0.06,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.02,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.04,   0.01,   0.00,   0.01, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.10,   0.04,   0.05,   0.00,   0.00, &
   0.00,   0.02,   0.00,   0.04,   0.00,   0.01,   0.04,   0.01,   0.01,   0.01, &
   0.01,   0.02,   0.02,   0.02,   0.03,   0.02,   0.02,   0.02,   0.02,   0.03, &
   0.00,   0.00,   0.85,   0.76,   0.77,   0.63,   0.40,   0.31,   0.63,   0.82, &
   0.26,   0.72,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.02,   0.00,   0.08,   0.07,   0.00,   0.00, &
   0.10,   0.00,   0.00 &
         /)
!-------------------------------------------------------------------                                                    
PDATA_VEGTYPE(:, 10) = (/          &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.10,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.70,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.60,   0.00,   0.00,   0.30,   0.60,   0.40, &
   0.00,   0.00,   0.80,   0.70,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   1.00,   1.00,   0.00,   0.00,   0.00,   1.00,   0.00,   0.00,   0.00, &
   1.00,   1.00,   1.00,   1.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   1.00,   0.00,   1.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.50, &
   0.00,   1.00,   1.00,   1.00,   1.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.30,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.80, &
   1.00,   1.00,   0.50,   1.00,   0.70,   0.40,   0.90,   1.00,   1.00,   0.40, &
   0.00,   0.00,   0.20,   0.30,   0.40,   0.20,   0.00,   0.00,   0.00,   0.00, &
   1.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.05,   0.00,   0.05,   0.00,   0.00,   0.02,   0.00,   0.01,   0.53, &
   0.40,   0.30,   0.48,   0.26,   0.33,   0.27,   0.01,   0.01,   0.32,   0.10, &
   0.03,   0.25,   0.55,   0.38,   0.23,   0.44,   0.33,   0.11,   0.00,   0.61, &
   0.71,   0.59,   0.36,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.35, &
   0.76,   0.77,   0.75,   0.82,   0.57,   0.31,   0.22,   0.24,   0.12,   0.75, &
   0.32,   0.75,   0.48,   0.84,   0.59,   0.73,   0.50,   0.40,   0.33,   0.25, &
   0.22,   0.18,   0.25,   0.17,   0.09,   0.41,   0.28,   0.24,   0.48,   0.49, &
   0.55,   0.42,   0.21,   0.52,   0.49,   0.39,   0.40,   0.45,   0.46,   0.55, &
   0.64,   0.75,   0.74,   0.33,   0.59,   0.64,   0.35,   0.48,   0.24,   0.35, &
   0.36,   0.49,   0.48,   0.32,   0.67,   0.43,   0.47,   0.43,   0.28,   0.30, &
   0.07,   0.37,   0.22,   0.23,   0.21,   0.60,   0.37,   0.40,   0.44,   0.51, &
   0.54,   0.40,   0.32,   0.32,   0.45,   0.25,   0.33,   0.23,   0.34,   0.56, &
   0.48,   0.14,   0.10,   0.10,   0.22,   0.22,   0.05,   0.07,   0.08,   0.10, &
   0.00,   0.13,   0.00,   0.01,   0.01,   0.14,   0.13,   0.18,   0.13,   0.16, &
   0.19,   0.27,   0.08,   0.18,   0.35,   0.30,   0.43,   0.04,   0.24,   0.19, &
   0.00,   0.30,   0.22,   0.15,   0.19,   0.08,   0.03,   0.20,   0.24,   0.10, &
   0.00,   0.15,   0.08,   0.11,   0.04,   0.06,   0.09,   0.10,   0.12,   0.25, &
   0.06,   0.12,   0.03,   0.13,   0.15,   0.07,   0.09,   0.10,   0.22,   0.28, &
   0.04,   0.02,   0.13,   0.12,   0.05,   0.10,   0.05,   0.04,   0.37,   0.30, &
   0.38,   0.17,   0.23,   0.03,   0.12,   0.10,   0.04,   0.12,   0.16,   0.13, &
   0.20,   0.26,   0.06,   0.19,   0.05,   0.22,   0.31,   0.12,   0.18,   0.20, &
   0.53,   0.12,   0.07,   0.07,   0.07,   0.05,   0.04,   0.03,   0.04,   0.02, &
   0.02,   0.01,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.01, &
   0.05,   0.01,   0.10,   0.01,   0.07,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.03,   0.05, &
   0.48,   0.26,   0.17,   0.31,   0.49,   0.10,   0.49,   0.19,   0.22,   0.30, &
   0.40,   0.04,   0.00 &
         /)
!-------------------------------------------------------------------                                                    
PDATA_VEGTYPE(:, 11) = (/          &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.50,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.50,   0.50,   0.50,   0.50,   0.00,   0.50,   0.50, &
   0.00,   0.00,   0.00,   0.50,   0.00,   0.00,   0.00,   0.50,   0.60,   0.70, &
   0.60,   0.70,   0.60,   0.00,   0.00,   0.60,   0.00,   0.50,   0.00,   0.00, &
   0.00,   0.70,   0.00,   0.00,   0.70,   0.60,   0.50,   0.60,   0.60,   0.50, &
   0.50,   0.60,   0.60,   0.00,   0.00,   0.60,   0.00,   0.30,   0.00,   0.00, &
   0.50,   0.30,   0.00,   0.00,   0.00,   0.00,   0.30,   1.00,   1.00,   1.00, &
   1.00,   0.00,   0.00,   1.00,   1.00,   1.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.01,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.01,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.01,   0.00,   0.01,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.01,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00 &
         /)
!-------------------------------------------------------------------                                                    
PDATA_VEGTYPE(:, 12) = (/          &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.50,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.50,   0.80,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.50,   0.50,   0.50,   0.50,   0.00,   0.00,   0.00,   0.00,   0.00,   0.50, &
   0.80,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.50,   0.80,   1.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.08,   0.03,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.06, &
   0.03,   0.07,   0.01,   0.02,   0.02,   0.00,   0.01,   0.01,   0.01,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.01,   0.00,   0.00,   0.00,   0.00,   0.06, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.01, &
   0.02,   0.09,   0.03,   0.03,   0.31,   0.01,   0.02,   0.00,   0.01,   0.00, &
   0.00,   0.04,   0.00,   0.01,   0.01,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.01,   0.00,   0.00,   0.00,   0.00, &
   0.01,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.01,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.01,   0.00,   0.00,   0.02,   0.00,   0.00,   0.00,   0.01,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.15,   0.01,   0.00,   0.00,   0.00, &
   0.02,   0.00,   0.00,   0.01,   0.01,   0.00,   0.01,   0.01,   0.05,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.01,   0.01,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.01,   0.00,   0.01,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.02,   0.00,   0.00,   0.00,   0.00,   0.01,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.01, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.99, &
   0.00,   1.00,   1.00,   1.00,   1.00,   0.18,   0.55,   0.94,   0.89,   0.10, &
   0.02,   0.01,   0.01,   0.02,   0.06,   0.04,   0.07,   0.02,   0.00,   0.00, &
   0.02,   0.00,   0.00 &
         /)
!-------------------------------------------------------------------                                                    
PDATA_VEGTYPE(:, 13) = (/          &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.50,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   1.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.20,   0.20,   0.00, &
   0.20,   0.00,   0.00,   0.00,   0.00,   0.20,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00 &
         /)
!-------------------------------------------------------------------                                                    
PDATA_VEGTYPE(:, 14) = (/          &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   1.00,   0.00,   0.00,   1.00,   0.50,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.40, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.30,   0.20,   0.30,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.60,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.06,   0.00,   0.07, &
   0.06,   0.56,   0.28,   0.27,   0.34,   0.10,   0.20,   0.08,   0.72,   0.14, &
   0.21,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.11,   0.00,   0.00, &
   0.10,   0.00,   0.07,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.11,   0.13, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.03,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.12,   0.00,   0.07,   0.00,   0.01,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.12, &
   0.17,   0.22,   0.07,   0.19,   0.20,   0.06,   0.20,   0.19,   0.24,   0.17, &
   0.06,   0.00,   0.00,   0.00,   0.03,   0.12,   0.10,   0.10,   0.01,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.17,   0.00,   0.00 &
         /)
!-------------------------------------------------------------------                                                    
PDATA_VEGTYPE(:, 15) = (/          &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   1.00, &
   0.00,   1.00,   0.00,   1.00,   1.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.50,   0.50, &
   0.00,   0.50,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.50,   0.00,   0.00,   0.00,   0.50,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.30,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.30,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.20,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   1.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.13,   0.00,   0.00,   0.48,   0.12,   0.68,   0.89,   0.30,   0.66, &
   0.83,   0.16,   0.12,   0.31,   0.31,   0.23,   0.32,   0.56,   0.05,   0.11, &
   0.02,   0.08,   0.08,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.04,   0.05,   0.07,   0.02,   0.00,   0.01,   0.00,   0.00,   0.00, &
   0.10,   0.03,   0.03,   0.02,   0.07,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.03,   0.10,   0.10,   0.00,   0.00, &
   0.00,   0.05,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.01,   0.00,   0.04,   0.08,   0.00,   0.17,   0.00,   0.04,   0.00,   0.06, &
   0.07,   0.04,   0.20,   0.35,   0.03,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.03,   0.03,   0.00,   0.00,   0.01,   0.00,   0.00,   0.00,   0.00, &
   0.05,   0.00,   0.00,   0.00,   0.00,   0.01,   0.00,   0.05,   0.18,   0.06, &
   0.12,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.05,   0.00,   0.01,   0.06,   0.00,   0.04, &
   0.00,   0.04,   0.11,   0.12,   0.15,   0.07,   0.02,   0.25,   0.01,   0.04, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.03,   0.00,   0.00,   0.02,   0.10,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.07,   0.09,   0.00,   0.01,   0.02,   0.04,   0.00, &
   0.08,   0.00,   0.00,   0.02,   0.00,   0.05,   0.01,   0.01,   0.02,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.02,   0.00,   0.03,   0.04,   0.02, &
   0.05,   0.07,   0.02,   0.12,   0.22,   0.00,   0.08,   0.13,   0.07,   0.04, &
   0.00,   0.02,   0.00,   0.00,   0.00,   0.00,   0.04,   0.00,   0.00,   0.01, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.55,   0.00,   0.00,   0.00,   0.55, &
   0.10,   0.10,   0.00,   0.00,   0.03,   0.00,   0.02,   0.07,   0.01,   0.01, &
   0.05,   0.00,   0.01 &
         /)
!-------------------------------------------------------------------                                                    
PDATA_VEGTYPE(:, 16) = (/          &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.50,   0.00,   0.50,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.50,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.09,   0.85,   0.85,   0.05,   0.08,   0.85,   0.14,   0.82,   0.17,   0.10, &
   0.15,   0.06,   0.81,   0.00,   0.05,   0.12,   0.00,   0.07,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.05,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.11,   0.13,   0.10,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.02, &
   0.01,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.02,   0.02,   0.04,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.17,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00 &
         /)
!-------------------------------------------------------------------                                                    
PDATA_VEGTYPE(:, 17) = (/          &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   1.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00 &
         /)
!-------------------------------------------------------------------                                                    
PDATA_VEGTYPE(:, 18) = (/          &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.50,   0.00,   0.00,   0.00,   0.50,   0.50,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.70,   0.00, &
   0.00,   0.00,   0.00,   0.60,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.60,   0.00,   0.00,   0.60,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.60,   0.70,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   1.00,   1.00,   1.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.10,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   1.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.44,   0.03,   0.01,   0.00,   0.01,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.38,   0.55,   0.60,   0.68,   0.73,   0.86,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.11,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.05,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.13,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.15,   0.05,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.03,   0.02,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00 &
         /)
!-------------------------------------------------------------------                                                    
PDATA_VEGTYPE(:, 19) = (/          &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.20,   0.20,   0.20,   0.20, &
   0.20,   0.20,   0.20,   0.00,   0.00,   0.20,   0.00,   0.00,   0.20,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.02,   0.05,   0.10,   0.07,   0.10,   0.02,   0.09, &
   0.00,   0.01,   0.04,   0.04,   0.00,   0.10,   0.05,   0.10,   0.04,   0.00, &
   0.00,   0.00,   0.05,   0.01,   0.08,   0.05,   0.13,   0.10,   0.07,   0.05, &
   0.03,   0.04,   0.05,   0.02,   0.01,   0.00,   0.07,   0.16,   0.18,   0.17, &
   0.08,   0.15,   0.08,   0.18,   0.16,   0.10,   0.10,   0.14,   0.14,   0.20, &
   0.10,   0.00,   0.03,   0.01,   0.17,   0.02,   0.00,   0.00,   0.06,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.15,   0.18,   0.12,   0.07,   0.00, &
   0.02,   0.04,   0.09,   0.07,   0.03,   0.09,   0.08,   0.04,   0.00,   0.10, &
   0.11,   0.09,   0.06,   0.07,   0.15,   0.06,   0.04,   0.00,   0.00,   0.00, &
   0.00,   0.01,   0.00,   0.00,   0.03,   0.03,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.02,   0.06,   0.08,   0.03,   0.01,   0.05,   0.00,   0.03, &
   0.13,   0.00,   0.00,   0.33,   0.00,   0.00,   0.00,   0.00,   0.08,   0.15, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.08, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.03,   0.03, &
   0.05,   0.03,   0.03,   0.03,   0.02,   0.00,   0.00,   0.03,   0.04,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.12,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.02,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.01,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00, &
   0.00,   0.47,   0.48 &
         /)
ENDIF
!------------------------------------------------------------------- 
!
IF (PRESENT(PDATA_HTRUNK_HVEG)) PDATA_HTRUNK_HVEG(:,:) = 3.0
!------------------------------------------------------------------- 
!
IF (PRESENT(PDATA_WCROWN_HVEG)) PDATA_WCROWN_HVEG(:,:) = 5.0
!------------------------------------------------------------------- 
!
IF (PRESENT(PDATA_H_TREE)) THEN                                                  
PDATA_H_TREE(:,  4) = (/          &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,     5., XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,    15., XUNDEF, XUNDEF, XUNDEF,    15., &
 XUNDEF,    15., XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,    10., XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,     5., XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,     5., XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
     5.,     5.,     5., XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,     5., &
     5., XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,     1.,     1.,     5.,     5., &
     5., XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,    10.,    10.,    10.,    10., &
    10.,    10.,    10.,    10.,    10., XUNDEF, XUNDEF,    10.,    10.,    10., &
    10.,    10.,    10.,    10.,    10.,    10.,    10., XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF,    10.,    10.,    10.,    10.,    10., XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,     2., &
     2., XUNDEF,    10., XUNDEF,    10., XUNDEF, XUNDEF,    10., XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,    12., XUNDEF, XUNDEF,    13., XUNDEF,    12.,    15., &
    14.,    11.,    12.,    12.,    11.,    11., XUNDEF, XUNDEF,    10., XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,    10.,    10., XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,    10., &
     5.,     5., XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,     5., XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,    10., XUNDEF, XUNDEF, XUNDEF, XUNDEF,     8., XUNDEF, XUNDEF,     5., &
 XUNDEF,     4., XUNDEF,     8.,     4., XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,     5., XUNDEF, XUNDEF, &
     8., XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,     5., XUNDEF, &
 XUNDEF,     5.,     5., XUNDEF,     8.,     8.,     5.,     5., XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,    10.,    10.,    10.,    10., XUNDEF,    10., XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,    10.,     8.,     5., XUNDEF,     8., XUNDEF,     5., &
    10.,    10., XUNDEF,    10.,    10.,    10.,    10.,    10.,     8., XUNDEF, &
    10.,     8.,     8., XUNDEF, XUNDEF, XUNDEF,     3., XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,     3.,     3., XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,    11., XUNDEF, XUNDEF, XUNDEF,    10., &
     7.,     7.,     8.,     8.,     5., XUNDEF,     3.,     6.,     5.,     9., &
 XUNDEF, XUNDEF, XUNDEF &
         /)
!-------------------------------------------------------------------                                                    
PDATA_H_TREE(:,  5) = (/          &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
    15., XUNDEF,    15., XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
    15., XUNDEF,    15., XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
    10.,    15., XUNDEF, XUNDEF,    15.,    15., XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,    10.,    15., &
 XUNDEF, XUNDEF, XUNDEF,    10., XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,     2.,     2., XUNDEF,     2., XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF,    10., XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,    10.,    10., XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,    10.,    10.,    10., &
    10.,    10.,    10., XUNDEF,    10.,    10.,    10.,    10.,    10., XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,     2., XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,    10., XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
    14.,    15.,    15.,    14.,    15.,    15.,    15.,    15.,    15.,    14., &
    13.,    14.,    13.,    12.,    13.,    13.,    13.,    13.,    12.,    15., &
    14., XUNDEF,    12.,    12., XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,    14., XUNDEF, XUNDEF, &
    10., XUNDEF, XUNDEF, XUNDEF, XUNDEF,     1., XUNDEF, XUNDEF, XUNDEF,    10., &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,     2., XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,     2., &
     2., XUNDEF,     1., XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
    10.,    10.,    10.,    10.,    10.,    10., XUNDEF, XUNDEF, XUNDEF,    11., &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,     8., XUNDEF, &
    10.,    10., XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,    12.,    13.,    11., XUNDEF, &
 XUNDEF, XUNDEF,     8.,     8., XUNDEF,    10., XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF &
         /)
!-------------------------------------------------------------------                                                    
PDATA_H_TREE(:,  6) = (/          &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,    30.,    20.,    30.,    20.,    20., &
    30.,    30.,    20., XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,    10.,    10.,    15.,    15.,    20.,    15., XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,    15., &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,    30., XUNDEF, XUNDEF, XUNDEF, &
    15.,    15., XUNDEF, XUNDEF,    15., XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,    10., XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF &
         /)
!-------------------------------------------------------------------                                                    
PDATA_H_TREE(:, 13) = (/          &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,    15., XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,    20., XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,     5.,    10., XUNDEF, &
    10., XUNDEF, XUNDEF, XUNDEF, XUNDEF,    10., XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF &
         /)
!-------------------------------------------------------------------                                                    
PDATA_H_TREE(:, 14) = (/          &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF,    20., XUNDEF, XUNDEF,    20.,    15., XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,    10., &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,    10.,     5.,    15., XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,    10., XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,    10., XUNDEF,     7., &
    10.,    10.,    10.,    10.,    10.,    10.,    10.,    10.,    10.,     8., &
     8., XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,     5., XUNDEF, XUNDEF, &
    10., XUNDEF,     8., XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,     8.,     5., &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,     5., XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,     5., XUNDEF,     3., XUNDEF,     3., XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,     5., &
     5.,     5.,     5.,     5.,     8.,     5.,     7.,     8.,     7.,     5., &
     3., XUNDEF, XUNDEF, XUNDEF,     8.,     8.,     8.,     8.,     8., XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
     6., XUNDEF, XUNDEF &
         /)
!-------------------------------------------------------------------                                                    
PDATA_H_TREE(:, 15) = (/          &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,    15., &
 XUNDEF,    15., XUNDEF,    15.,    20., XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,    15.,    15., &
 XUNDEF,    15., XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF,    15., XUNDEF, XUNDEF, XUNDEF,    15., XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF,    15., XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF,    10., XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,     2., XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,    10., XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,    11., XUNDEF, XUNDEF,    11.,    11.,    10.,    10.,    10.,    10., &
    10.,    10.,    10.,    10.,    10.,    10.,    10.,    10.,    10.,    10., &
    10.,    10.,    10., XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,    10.,    10.,    10.,    10., XUNDEF,     1., XUNDEF, XUNDEF, XUNDEF, &
     5.,     5.,     2.,    10.,     3., XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,     5.,     2.,     1., XUNDEF, XUNDEF, &
 XUNDEF,     2., XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
     1., XUNDEF,     2.,     2., XUNDEF,     2., XUNDEF,     5., XUNDEF,     5., &
     5.,     3.,     8.,     8.,     4., XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,     1.,     2., XUNDEF, XUNDEF,     2., XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
     1., XUNDEF, XUNDEF, XUNDEF, XUNDEF,     2., XUNDEF,     5.,     8.,     5., &
     8., XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF,     2., XUNDEF,     2.,     2., XUNDEF,     2., &
 XUNDEF,     5.,     5.,     7.,     8.,     8.,     5.,     5.,     2.,     2., &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,    10., XUNDEF, XUNDEF,     5.,     8., XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,    10.,    10., XUNDEF,    10.,    10.,     8., XUNDEF, &
    10., XUNDEF, XUNDEF,     5., XUNDEF,     3.,     3.,     3.,     2., XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,     3., XUNDEF,     2.,     2.,     5., &
     5.,     5.,     5.,     5.,     8., XUNDEF,     7.,     8.,     7.,     5., &
 XUNDEF,     2., XUNDEF, XUNDEF, XUNDEF, XUNDEF,     8., XUNDEF, XUNDEF,     5., &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,    13., XUNDEF, XUNDEF, XUNDEF,    10., &
     7.,     7., XUNDEF, XUNDEF,     5., XUNDEF,     3.,     6.,     5.,     9., &
     6., XUNDEF,     1. &
         /)
!-------------------------------------------------------------------                                                    
PDATA_H_TREE(:, 16) = (/          &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
    15., XUNDEF,    15., XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,     5., XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
     8.,    15.,    15.,     8.,    15.,    15.,    15.,    15.,    15.,    14., &
    13.,    14.,    13., XUNDEF,    13.,    13., XUNDEF,    13., XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
     7., XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
    10.,    10.,    10., XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,    11., &
    11., XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,     5.,    11.,    11., XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,    10., XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF &
         /)
ENDIF
!-------------------------------------------------------------------       
IF (PRESENT(PDATA_VEGTYPE).AND.PRESENT(PDATA_H_TREE)) THEN                                             
  WHERE(PDATA_VEGTYPE(:,17)>0.) PDATA_H_TREE(:, 17) =   15. 
ENDIF                                
!-------------------------------------------------------------------            
IF (PRESENT(PDATA_H_TREE)) THEN                                        
PDATA_H_TREE(:, 19) = (/          &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,     2.,     2.,     2.,     2., &
     2.,     2.,     2., XUNDEF, XUNDEF,     2., XUNDEF, XUNDEF,     2., XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,     1.,     1.,     1.,     1.,     2.,     2.,     1., &
 XUNDEF,     2.,     2.,     2., XUNDEF,     1.,     1.,     1.,     1., XUNDEF, &
 XUNDEF, XUNDEF,     2.,     2.,     2.,     2.,     1.,     1.,     1.,     1., &
     1.,     1.,     1.,     1.,     1., XUNDEF,     2.,     1.,     2.,     2., &
     2.,     2.,     1.,     2.,     1.,     1.,     1.,     2.,     2.,     2., &
     1., XUNDEF,     2.,     2.,     2.,     2., XUNDEF, XUNDEF,     2., XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,     2.,     2.,     2.,     2., XUNDEF, &
     2.,     1.,     2.,     1.,     1.,     2.,     2.,     1., XUNDEF,     1., &
     1.,     1.,     1.,     1.,     2.,     2.,     1., XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,     1., XUNDEF, XUNDEF,     1.,     1., XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF,     2.,     2.,     2.,     2.,     2.,     2., XUNDEF,     2., &
     2., XUNDEF, XUNDEF,     1., XUNDEF, XUNDEF, XUNDEF, XUNDEF,     2.,     2., &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,     1., &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,     2.,     2., &
     2.,     2.,     2.,     2.,     2., XUNDEF, XUNDEF,     2.,     2., XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,     2., XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,     1., XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,     1., XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,     1.,     1. &
         /)
ENDIF
!-------------------------------------------------------------------
IF (PRESENT(PDATA_VEGTYPE).AND.PRESENT(PDATA_IRRIGTYPE)) THEN
!  WHERE(PDATA_VEGTYPE(:, 8)>0.) PDATA_IRRIGTYPE(:,  8) = 0
!  PDATA_IRRIGTYPE(:,:) = 0
!-------------------------------------------------------------------
  WHERE(PDATA_VEGTYPE(:, 9)>0.) PDATA_IRRIGTYPE(:,  9) = 1
ENDIF
!-------------------------------------------------------------------
IF (PRESENT(PDATA_VEGTYPE).AND.PRESENT(PDATA_WATSUP)) THEN
!  WHERE(PDATA_VEGTYPE(:, 8)>0.) PDATA_WATSUP(:,  8) =   0.
!  PDATA_WATSUP(:,:) = 0.
!-------------------------------------------------------------------
  WHERE(PDATA_VEGTYPE(:, 9)>0.) PDATA_WATSUP(:,  9) =  30.
ENDIF         
!-------------------------------------------------------------------
IF (PRESENT(PDATA_VEGTYPE).AND.PRESENT(PDATA_IRRIGFRAC)) THEN
!  WHERE(PDATA_VEGTYPE(:, 8)>0.) PDATA_IRRIGFRAC(:,  8) =  0.
!  PDATA_IRRIGFRAC(:,:) = 0.
!-------------------------------------------------------------------
  WHERE(PDATA_VEGTYPE(:, 9)>0.) PDATA_IRRIGFRAC(:,  9) =  1.
ENDIF
!------------------------------------------------------------------- 
IF (PRESENT(PDATA_VEGTYPE).AND.PRESENT(PDATA_IRRIGFREQ)) THEN
!  WHERE(PDATA_VEGTYPE(:, 8)>0.) PDATA_IRRIGFREQ(:,  8) =       0.
!  PDATA_IRRIGFREQ(:,0) = 0.
!-------------------------------------------------------------------
  WHERE(PDATA_VEGTYPE(:, 9)>0.) PDATA_IRRIGFREQ(:,  9) =  604800.
ENDIF
!-------------------------------------------------------------------
IF (PRESENT(PDATA_VEGTYPE).AND.PRESENT(PDATA_IRRIGTIME)) THEN
!  WHERE(PDATA_VEGTYPE(:, 8)>0.) PDATA_IRRIGTIME(:,  8) =      0.
!  PDATA_IRRIGTIME(:,:) = 0.
!-------------------------------------------------------------------
  WHERE(PDATA_VEGTYPE(:, 9)>0.) PDATA_IRRIGTIME(:,  9) =  28800.
ENDIF
!-------------------------------------------------------------------
!IF (PRESENT(PDATA_VEGTYPE).AND.PRESENT(PDATA_F2THRESHOLD)) THEN
!  PDATA_F2THRESHOLD(:,:,:) = XUNDEF
!ENDIF
!-------------------------------------------------------------------
IF (PRESENT(PDATA_ROOT_DEPTH)) THEN
PDATA_ROOT_DEPTH(:,  1) = (/          &
 XUNDEF, XUNDEF, XUNDEF,   0.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   0.50, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   0.50, &
 XUNDEF, XUNDEF, XUNDEF,   0.50, XUNDEF, XUNDEF, XUNDEF,   0.50,   0.50, XUNDEF, &
   0.50, XUNDEF,   0.50, XUNDEF, XUNDEF,   0.50, XUNDEF,   0.50, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,   0.50, XUNDEF,   0.50,   0.50,   0.50,   0.50,   0.50, &
   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50, &
   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF,   0.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF,   0.50, XUNDEF,   0.50, XUNDEF,   0.50, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.00,   1.00,   1.00, XUNDEF, &
   0.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   0.50, &
 XUNDEF, XUNDEF,   0.50, XUNDEF,   0.50,   0.50,   0.50, XUNDEF, XUNDEF,   0.50, &
   0.50,   0.50,   0.50,   0.50, XUNDEF,   0.50,   0.50, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,   0.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   0.50,   0.50, XUNDEF,   0.50,   0.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   0.50, &
   0.50,   0.50, XUNDEF,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50, XUNDEF, &
 XUNDEF,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50, &
   0.50,   0.50,   0.50,   0.50,   1.00,   1.00,   1.00,   1.00,   1.00,   0.50, &
   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50, &
   0.50,   0.50,   0.50, XUNDEF,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50, &
   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50, &
   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50, &
   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50, &
   0.50,   0.50,   0.50,   1.00,   1.00,   0.50,   0.50,   0.50,   0.50,   0.50, &
   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50, &
   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50, &
   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50, &
   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50, &
   0.50,   0.50,   0.50,   0.50,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00, &
   1.00,   1.00,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50, &
   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   1.00,   1.00,   1.00,   1.00, &
   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   0.50,   0.50,   0.50,   0.50, &
   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50, &
   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50, &
   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   1.00, &
   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00, &
   0.50,   0.50,   0.50,   0.50,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00, &
   1.00,   1.00, XUNDEF, XUNDEF,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50, &
   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50, XUNDEF, XUNDEF,   0.50, &
   0.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50, XUNDEF,   0.50, &
   0.50,   1.00,   1.00 &
         /)
ENDIF
!-------------------------------------------------------------------  
IF (PRESENT(PDATA_VEGTYPE).AND.PRESENT(PDATA_ROOT_DEPTH)) THEN                                                  
WHERE(PDATA_VEGTYPE(:, 2)>0.) PDATA_ROOT_DEPTH(:,  2) = 0.20                              
!-------------------------------------------------------------------                                                    
WHERE(PDATA_VEGTYPE(:, 3)>0.) PDATA_ROOT_DEPTH(:,  3) = 0.20  
ENDIF                            
!-------------------------------------------------------------------     
IF (PRESENT(PDATA_ROOT_DEPTH)) THEN                                                  
PDATA_ROOT_DEPTH(:,  4) = (/          &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00, XUNDEF, XUNDEF, XUNDEF,   2.00, &
 XUNDEF,   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,   3.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   3.00, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   3.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   2.00,   2.00,   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00, &
   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   3.00,   3.00,   2.00,   2.00, &
   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00,   2.00,   2.00,   2.00, &
   2.00,   2.00,   2.00,   2.00,   2.00, XUNDEF, XUNDEF,   2.00,   2.00,   2.00, &
   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00,   2.00,   2.00,   2.00,   2.00, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00, &
   2.00, XUNDEF,   2.00, XUNDEF,   2.00, XUNDEF, XUNDEF,   2.00, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,   2.00, XUNDEF, XUNDEF,   2.00, XUNDEF,   2.00,   2.00, &
   2.00,   2.00,   2.00,   2.00,   2.00,   2.00, XUNDEF, XUNDEF,   2.00, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,   1.50,   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00, &
   2.00,   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00, XUNDEF, XUNDEF,   1.50, &
 XUNDEF,   1.50, XUNDEF,   1.50,   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00, XUNDEF, XUNDEF, &
   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00, XUNDEF, &
 XUNDEF,   2.00,   3.00, XUNDEF,   2.00,   2.00,   2.00,   2.00, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,   2.00,   2.00,   2.00,   2.00, XUNDEF,   2.00, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,   2.00,   2.00,   2.00, XUNDEF,   2.00, XUNDEF,   2.00, &
   2.00,   2.00, XUNDEF,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00, XUNDEF, &
   2.00,   2.00,   2.00, XUNDEF, XUNDEF, XUNDEF,   1.50, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.50,   1.50, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00, XUNDEF, XUNDEF, XUNDEF,   2.00, &
   2.00,   2.00,   2.00,   2.00,   2.00, XUNDEF,   2.00,   2.00,   2.00,   2.00, &
 XUNDEF, XUNDEF, XUNDEF &
         /)
!-------------------------------------------------------------------                                                    
PDATA_ROOT_DEPTH(:,  5) = (/          &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   2.00, XUNDEF,   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   2.00, XUNDEF,   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   2.00,   2.00, XUNDEF, XUNDEF,   2.00,   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00,   2.00, &
 XUNDEF, XUNDEF, XUNDEF,   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,   1.50,   2.00, XUNDEF,   1.50, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00,   2.00, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00,   2.00,   2.00, &
   2.00,   2.00,   2.00, XUNDEF,   2.00,   2.00,   2.00,   2.00,   2.00, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00, &
   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00, &
   2.00, XUNDEF,   2.00,   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00, XUNDEF, XUNDEF, &
   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.50, XUNDEF, XUNDEF, XUNDEF,   2.00, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00, &
   2.00, XUNDEF,   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   2.00,   2.00,   2.00,   2.00,   2.00,   2.00, XUNDEF, XUNDEF, XUNDEF,   2.00, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00, XUNDEF, &
   2.00,   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00,   2.00,   2.00, XUNDEF, &
 XUNDEF, XUNDEF,   2.00,   2.00, XUNDEF,   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF &
         /)
!-------------------------------------------------------------------                                                    
PDATA_ROOT_DEPTH(:,  6) = (/          &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   8.00,   5.00,   8.00,   5.00,   5.00, &
   8.00,   5.00,   5.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,   3.00,   3.00,   3.00,   3.00,   5.00,   3.00, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   3.00, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   5.00, XUNDEF, XUNDEF, XUNDEF, &
   3.00,   3.00, XUNDEF, XUNDEF,   3.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,   5.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF &
         /)
!-------------------------------------------------------------------                                                    
PDATA_ROOT_DEPTH(:,  7) = (/          &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.50, XUNDEF, XUNDEF, &
 XUNDEF,   1.50,   1.50, XUNDEF, XUNDEF, XUNDEF,   1.50, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.50, &
   1.50, XUNDEF,   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.00,   1.50,   1.50,   1.50,   1.50, XUNDEF, &
   1.50, XUNDEF,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50, &
   1.50,   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,   1.00,   1.00,   1.00,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50, &
   1.50,   1.50,   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.00,   1.00,   1.50,   1.50, &
   1.50,   1.00,   1.50,   1.50,   1.50,   1.00,   1.50,   1.00, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.50, &
   1.50,   1.50, XUNDEF,   1.50,   1.50, XUNDEF,   1.50,   1.50,   1.50,   1.50, &
 XUNDEF,   1.50,   1.50,   1.50,   1.50,   1.50, XUNDEF, XUNDEF,   1.50,   1.50, &
   1.50, XUNDEF,   1.00, XUNDEF, XUNDEF,   1.00,   1.00, XUNDEF,   1.00,   1.00, &
   1.00,   1.00,   1.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.00, XUNDEF,   1.00, &
   1.00, XUNDEF,   1.50,   1.00, XUNDEF,   1.00,   1.00,   1.00,   1.00,   1.00, &
   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,   1.00, XUNDEF,   1.00, XUNDEF,   1.00,   1.00,   1.00,   1.00,   1.00, &
   1.00,   1.00,   1.00,   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.00,   1.00, &
   1.00,   1.50,   1.50,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00, &
   1.00,   1.00,   1.00,   1.00,   1.00,   1.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00, XUNDEF,   1.00, &
   1.00,   1.00, XUNDEF,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00, &
   1.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50, &
   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50, &
   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50, &
   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50, &
   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50, &
   1.50,   1.50,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00, &
   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00, &
   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00, &
   1.00,   1.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.00, XUNDEF,   1.00,   1.00, &
 XUNDEF,   1.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.00, XUNDEF, XUNDEF, XUNDEF,   1.50, &
   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50, &
   1.50,   1.50,   1.50 &
         /)
!-------------------------------------------------------------------                                                    
PDATA_ROOT_DEPTH(:,  8) = (/          &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.50, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.50, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.50, XUNDEF, XUNDEF,   1.50, &
   1.50, XUNDEF,   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.00,   1.50,   1.50,   1.50, XUNDEF,   1.50, &
   1.50,   1.50, XUNDEF,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,   1.00,   1.00,   1.00,   1.50, XUNDEF, XUNDEF,   1.50,   1.50,   1.50, &
 XUNDEF,   1.50,   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.50, &
   1.50,   1.50,   1.50,   1.50, XUNDEF,   1.50, XUNDEF,   1.50,   1.50,   1.50, &
   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.00,   1.00, XUNDEF,   1.00, XUNDEF, &
 XUNDEF, XUNDEF,   1.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.00,   1.00, XUNDEF, XUNDEF,   1.00, &
   1.00, XUNDEF,   1.00, XUNDEF,   1.00,   1.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.00,   1.00,   1.00, XUNDEF,   1.00, &
   1.00,   1.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.00,   1.00, &
   1.00,   1.00,   1.00,   1.00, XUNDEF,   1.00, XUNDEF,   1.00,   1.00,   1.00, &
   1.00,   1.00,   1.00,   1.00,   1.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   1.00,   1.00,   1.00,   1.00, XUNDEF,   1.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.00,   1.00, XUNDEF,   1.00,   1.00,   1.00, &
   1.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50, &
   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50, &
   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50, XUNDEF, &
   1.50,   1.50, XUNDEF,   1.50,   1.50,   1.50,   1.00,   1.50,   1.50,   1.50, &
   1.50,   1.50,   1.50,   1.50, XUNDEF,   1.50,   1.50, XUNDEF,   1.50,   1.50, &
 XUNDEF,   1.50,   1.50,   1.50,   1.00,   1.00,   1.00,   1.00,   1.00, XUNDEF, &
   1.00, XUNDEF,   1.00,   1.00, XUNDEF,   1.00,   1.00,   1.00,   1.00,   1.00, &
 XUNDEF,   1.00,   1.00,   1.00,   1.00,   1.00, XUNDEF,   1.00,   1.00,   1.00, &
   1.00, XUNDEF,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,   1.50,   1.50,   1.50,   1.50, XUNDEF,   1.50,   1.50,   1.50,   1.50, &
   1.50,   1.50,   1.50 &
         /)
ENDIF
!-------------------------------------------------------------------   
IF (PRESENT(PDATA_VEGTYPE).AND.PRESENT(PDATA_ROOT_DEPTH)) THEN                                                 
WHERE(PDATA_VEGTYPE(:, 9)>0.) PDATA_ROOT_DEPTH(:,  9) = 1.50  
ENDIF                            
!-------------------------------------------------------------------       
IF (PRESENT(PDATA_ROOT_DEPTH)) THEN                                                
PDATA_ROOT_DEPTH(:, 10) = (/          &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   0.50, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.00, XUNDEF, XUNDEF,   1.00,   1.50,   0.50, &
 XUNDEF, XUNDEF,   1.00,   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,   1.50,   1.50, XUNDEF, XUNDEF, XUNDEF,   1.50, XUNDEF, XUNDEF, XUNDEF, &
   1.50,   1.50,   1.50,   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.50, XUNDEF,   1.00, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.50, &
 XUNDEF,   1.50,   1.50,   1.50,   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.50, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.50, &
   1.50,   1.50,   1.50,   1.50,   0.50,   1.00,   1.00,   1.00,   1.00,   1.00, &
 XUNDEF, XUNDEF,   1.50,   1.50,   1.50,   0.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,   1.00, XUNDEF,   1.00, XUNDEF, XUNDEF,   1.00, XUNDEF,   1.00,   1.50, &
   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50, &
   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50, XUNDEF,   1.50, &
   1.50,   1.50,   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.00, &
   1.50,   1.50,   1.50,   1.50,   1.50,   1.00,   1.00,   0.50,   0.50,   1.50, &
   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.00,   1.00,   0.50,   0.50, &
   0.50,   0.50,   0.50,   0.50,   0.50,   1.50,   1.50,   1.00,   1.00,   1.00, &
   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00, &
   1.00,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50, &
   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   0.50,   0.50, &
   0.50,   1.50,   1.50,   1.00,   0.50,   1.00,   1.00,   0.50,   0.50,   1.00, &
   1.00,   0.50,   0.50,   0.50,   1.00,   0.50,   0.50,   1.50,   1.50,   1.50, &
   1.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50, &
 XUNDEF,   1.50, XUNDEF,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50, &
   1.50,   1.50,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00, &
 XUNDEF,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.50,   1.50, &
 XUNDEF,   1.50,   1.50,   1.50,   1.50,   1.50,   1.00,   1.00,   1.00,   1.50, &
   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50, &
   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50, &
   1.50,   1.50,   1.50,   1.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50, &
   0.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50, &
   1.50,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00, &
   1.00,   1.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   0.50, &
   0.50,   0.50,   0.50,   0.50,   0.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.50,   1.50, &
   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50, &
   1.50,   1.50, XUNDEF &
         /)
!-------------------------------------------------------------------                                                    
PDATA_ROOT_DEPTH(:, 11) = (/          &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.00, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,   1.50,   1.50,   1.50,   1.50, XUNDEF,   1.50,   1.50, &
 XUNDEF, XUNDEF, XUNDEF,   1.50, XUNDEF, XUNDEF, XUNDEF,   1.00,   1.00,   1.50, &
   1.50,   1.00,   1.00, XUNDEF, XUNDEF,   1.50, XUNDEF,   1.00, XUNDEF, XUNDEF, &
 XUNDEF,   1.00, XUNDEF, XUNDEF,   1.50,   1.50,   1.00,   1.00,   1.00,   1.00, &
   1.00,   1.00,   1.00, XUNDEF, XUNDEF,   1.00, XUNDEF,   1.00, XUNDEF, XUNDEF, &
   1.00,   0.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   0.50,   1.50,   1.00,   1.50, &
   1.50, XUNDEF, XUNDEF,   1.50,   1.50,   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.00, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.00, XUNDEF,   1.00, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   0.50, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF &
         /)
!-------------------------------------------------------------------                                                    
PDATA_ROOT_DEPTH(:, 12) = (/          &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.00, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,   3.00,   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   1.50,   1.50,   1.50,   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.50, &
   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00,   2.00,   1.50, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   1.00,   1.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.00, &
   1.00,   1.00,   1.00,   1.00,   1.00, XUNDEF,   1.00,   1.00,   1.00, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.00, &
   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00, XUNDEF,   1.00, XUNDEF, &
 XUNDEF,   1.00, XUNDEF,   1.00,   1.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   1.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF,   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   1.50, XUNDEF, XUNDEF,   1.50, XUNDEF, XUNDEF, XUNDEF,   1.50, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.50,   1.50, XUNDEF, XUNDEF, XUNDEF, &
   1.50, XUNDEF, XUNDEF,   1.50,   1.50, XUNDEF,   1.50,   1.50,   1.50, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.50,   1.50, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,   1.50, XUNDEF,   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF,   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.50, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.50, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.50, &
 XUNDEF,   1.50,   1.50,   1.50,   1.50,   2.00,   2.00,   2.00,   2.00,   2.00, &
   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50, XUNDEF, XUNDEF, &
   1.50, XUNDEF, XUNDEF &
         /)
!-------------------------------------------------------------------                                                    
PDATA_ROOT_DEPTH(:, 13) = (/          &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   3.00, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   3.00,   3.00, XUNDEF, &
   3.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   3.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF &
         /)
!-------------------------------------------------------------------                                                    
PDATA_ROOT_DEPTH(:, 14) = (/          &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF,   3.00, XUNDEF, XUNDEF,   3.00,   2.00, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,   2.00,   2.00,   3.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00, XUNDEF,   2.00, &
   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   1.50, &
   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00, XUNDEF, XUNDEF, &
   1.50, XUNDEF,   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00,   2.00, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,   2.00, XUNDEF,   1.50, XUNDEF,   1.50, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00, &
   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00, &
   2.00, XUNDEF, XUNDEF, XUNDEF,   3.00,   3.00,   3.00,   3.00,   3.00, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   2.00, XUNDEF, XUNDEF &
         /)
!-------------------------------------------------------------------                                                    
PDATA_ROOT_DEPTH(:, 15) = (/          &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00, &
 XUNDEF,   2.00, XUNDEF,   2.00,   3.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00,   2.00, &
 XUNDEF,   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF,   2.00, XUNDEF, XUNDEF, XUNDEF,   2.00, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF,   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.50, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,   2.00, XUNDEF, XUNDEF,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00, &
   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   1.50, &
   1.50,   1.50,   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,   2.00,   2.00,   2.00,   2.00, XUNDEF,   1.50, XUNDEF, XUNDEF, XUNDEF, &
   2.00,   2.00,   2.00,   2.00,   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00,   2.00,   2.00, XUNDEF, XUNDEF, &
 XUNDEF,   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   2.00, XUNDEF,   2.00,   2.00, XUNDEF,   2.00, XUNDEF,   2.00, XUNDEF,   1.50, &
   1.50,   1.50,   1.50,   1.50,   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,   1.50,   1.50, XUNDEF, XUNDEF,   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.50, XUNDEF,   2.00,   2.00,   2.00, &
   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00, XUNDEF,   2.00,   2.00, XUNDEF,   2.00, &
 XUNDEF,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,   2.00, XUNDEF, XUNDEF,   2.00,   2.00, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,   2.00,   2.00, XUNDEF,   2.00,   2.00,   2.00, XUNDEF, &
   2.00, XUNDEF, XUNDEF,   2.00, XUNDEF,   1.50,   1.50,   1.50,   1.50, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.50, XUNDEF,   1.50,   1.50,   2.00, &
   2.00,   2.00,   2.00,   2.00,   2.00, XUNDEF,   2.00,   2.00,   2.00,   2.00, &
 XUNDEF,   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   3.00, XUNDEF, XUNDEF,   2.00, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00, XUNDEF, XUNDEF, XUNDEF,   2.00, &
   2.00,   2.00, XUNDEF, XUNDEF,   2.00, XUNDEF,   2.00,   2.00,   2.00,   2.00, &
   2.00, XUNDEF,   2.00 &
         /)
ENDIF
!-------------------------------------------------------------------  
IF (PRESENT(PDATA_VEGTYPE).AND.PRESENT(PDATA_ROOT_DEPTH)) THEN                                                  
WHERE(PDATA_VEGTYPE(:,16)>0.) PDATA_ROOT_DEPTH(:, 16) = 2.00                              
!-------------------------------------------------------------------                                                    
WHERE(PDATA_VEGTYPE(:,17)>0.) PDATA_ROOT_DEPTH(:, 17) = 2.00  
ENDIF                            
!-------------------------------------------------------------------           
IF (PRESENT(PDATA_ROOT_DEPTH)) THEN                                          
PDATA_ROOT_DEPTH(:, 18) = (/          &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   1.00, XUNDEF, XUNDEF, XUNDEF,   1.50,   1.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.00, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,   1.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,   1.00, XUNDEF, XUNDEF,   1.00, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF,   0.50,   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.50,   1.00,   1.00, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF,   0.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   1.00,   1.00,   1.00, XUNDEF,   1.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,   0.50,   0.50,   0.50,   1.00,   1.00,   1.00, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   0.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   1.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   0.50,   0.50, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.50,   1.50, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF &
         /)
!-------------------------------------------------------------------                                                    
PDATA_ROOT_DEPTH(:, 19) = (/          &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   4.00,   4.00,   4.00,   4.00, &
   4.00,   4.00,   4.00, XUNDEF, XUNDEF,   3.00, XUNDEF, XUNDEF,   3.00, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50, &
 XUNDEF,   2.00,   2.00,   2.00, XUNDEF,   1.50,   1.50,   1.50,   1.50, XUNDEF, &
 XUNDEF, XUNDEF,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   1.50,   1.50, &
   1.50,   1.50,   1.50,   1.50,   1.50, XUNDEF,   2.00,   2.00,   2.00,   2.00, &
   2.00,   2.00,   1.50,   2.00,   2.00,   1.50,   1.50,   1.50,   1.50,   2.00, &
   2.00, XUNDEF,   2.00,   2.00,   2.00,   2.00, XUNDEF, XUNDEF,   1.50, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.50,   1.50,   1.50,   1.50, XUNDEF, &
   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50, XUNDEF,   1.50, &
   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,   2.00, XUNDEF, XUNDEF,   1.50,   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF,   2.00,   2.00,   3.00,   2.00,   2.00,   2.00, XUNDEF,   2.00, &
   2.00, XUNDEF, XUNDEF,   3.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00,   2.00, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.50,   1.50, &
   1.50,   1.50,   1.50,   1.50,   1.50, XUNDEF, XUNDEF,   1.50,   1.50, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,   3.00,   3.00 &
         /)
ENDIF
!------------------------------------------------------------------- 
IF (PRESENT(PDATA_GROUND_DEPTH)) THEN                                                   
PDATA_GROUND_DEPTH(:,  1) = (/          &
 XUNDEF, XUNDEF, XUNDEF,   1.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.00, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.00, &
 XUNDEF, XUNDEF, XUNDEF,   1.00, XUNDEF, XUNDEF, XUNDEF,   1.00,   1.00, XUNDEF, &
   1.00, XUNDEF,   1.00, XUNDEF, XUNDEF,   1.00, XUNDEF,   1.00, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,   1.00, XUNDEF,   1.00,   1.00,   1.00,   1.00,   1.00, &
   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00, &
   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF,   1.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.00, XUNDEF,   1.00, XUNDEF,   1.00, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.50,   1.50,   1.50, XUNDEF, &
   1.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.00, &
 XUNDEF, XUNDEF,   1.00, XUNDEF,   1.00,   1.00,   1.00, XUNDEF, XUNDEF,   1.00, &
   1.00,   1.00,   1.00,   1.00, XUNDEF,   1.00,   1.00, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,   1.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   1.00,   1.00, XUNDEF,   1.00,   1.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.00, &
   1.00,   1.00, XUNDEF,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00, XUNDEF, &
 XUNDEF,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00, &
   1.00,   1.00,   1.00,   1.00,   1.50,   1.50,   1.50,   1.50,   1.50,   1.00, &
   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00, &
   1.00,   1.00,   1.00, XUNDEF,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00, &
   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00, &
   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00, &
   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00, &
   1.00,   1.00,   1.00,   1.50,   1.50,   1.00,   1.00,   1.00,   1.00,   1.00, &
   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00, &
   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00, &
   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00, &
   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00, &
   1.00,   1.00,   1.00,   1.00,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50, &
   1.50,   1.50,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00, &
   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.50,   1.50,   1.50,   1.50, &
   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.00,   1.00,   1.00,   1.00, &
   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00, &
   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00, &
   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.50, &
   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50, &
   1.00,   1.00,   1.00,   1.00,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50, &
   1.50,   1.50, XUNDEF, XUNDEF,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00, &
   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00, XUNDEF, XUNDEF,   1.00, &
   1.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00, XUNDEF,   1.00, &
   1.00,   1.50,   1.50 &
         /)
ENDIF
!------------------------------------------------------------------- 
IF (PRESENT(PDATA_VEGTYPE).AND.PRESENT(PDATA_GROUND_DEPTH)) THEN                                                   
WHERE(PDATA_VEGTYPE(:, 2)>0.) PDATA_GROUND_DEPTH(:,  2) = 0.20                            
!-------------------------------------------------------------------                                                    
WHERE(PDATA_VEGTYPE(:, 3)>0.) PDATA_GROUND_DEPTH(:,  3) = 0.20  
ENDIF                          
!-------------------------------------------------------------------      
IF (PRESENT(PDATA_GROUND_DEPTH)) THEN                                              
PDATA_GROUND_DEPTH(:,  4) = (/          &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   3.00, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   3.00, XUNDEF, XUNDEF, XUNDEF,   3.00, &
 XUNDEF,   3.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,   4.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   3.00, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   3.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   3.00,   3.00,   3.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   3.00, &
   3.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   3.00,   3.00,   3.00,   3.00, &
   3.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   3.00,   3.00,   3.00,   3.00, &
   3.00,   3.00,   3.00,   3.00,   3.00, XUNDEF, XUNDEF,   3.00,   3.00,   3.00, &
   3.00,   3.00,   3.00,   3.00,   3.00,   3.00,   3.00, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF,   3.00,   3.00,   3.00,   3.00,   3.00, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00, &
   2.00, XUNDEF,   3.00, XUNDEF,   3.00, XUNDEF, XUNDEF,   3.00, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,   3.00, XUNDEF, XUNDEF,   3.00, XUNDEF,   3.00,   3.00, &
   3.00,   3.00,   3.00,   3.00,   3.00,   3.00, XUNDEF, XUNDEF,   3.00, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,   2.00,   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   3.00, &
   3.00,   3.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,   2.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.50, XUNDEF, XUNDEF,   2.00, &
 XUNDEF,   2.00, XUNDEF,   2.00,   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.50, XUNDEF, XUNDEF, &
   2.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   3.00, XUNDEF, &
 XUNDEF,   3.00,   3.00, XUNDEF,   3.00,   2.50,   2.50,   2.50, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,   3.00,   3.00,   3.00,   3.00, XUNDEF,   3.00, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,   3.00,   3.00,   3.00, XUNDEF,   3.00, XUNDEF,   3.00, &
   3.00,   3.00, XUNDEF,   3.00,   3.00,   3.00,   3.00,   3.00,   3.00, XUNDEF, &
   3.00,   3.00,   3.00, XUNDEF, XUNDEF, XUNDEF,   2.00, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00,   2.00, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   3.00, XUNDEF, XUNDEF, XUNDEF,   3.00, &
   3.00,   3.00,   3.00,   3.00,   3.00, XUNDEF,   3.00,   3.00,   3.00,   3.00, &
 XUNDEF, XUNDEF, XUNDEF &
         /)
!-------------------------------------------------------------------                                                    
PDATA_GROUND_DEPTH(:,  5) = (/          &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   3.00, XUNDEF,   3.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   3.00, XUNDEF,   3.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   3.00,   3.00, XUNDEF, XUNDEF,   3.00,   3.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   3.00,   3.00, &
 XUNDEF, XUNDEF, XUNDEF,   3.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,   2.00,   2.50, XUNDEF,   2.00, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF,   3.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   3.00,   3.00, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   3.00,   3.00,   3.00, &
   3.00,   3.00,   3.00, XUNDEF,   3.00,   3.00,   3.00,   3.00,   3.00, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   3.00, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   3.00,   3.00,   3.00,   3.00,   3.00,   3.00,   3.00,   3.00,   3.00,   3.00, &
   3.00,   3.00,   3.00,   3.00,   3.00,   3.00,   3.00,   3.00,   3.00,   3.00, &
   3.00, XUNDEF,   3.00,   3.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   3.00, XUNDEF, XUNDEF, &
   3.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00, XUNDEF, XUNDEF, XUNDEF,   3.00, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   3.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.50, &
   2.50, XUNDEF,   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   3.00,   3.00,   3.00,   3.00,   3.00,   3.00, XUNDEF, XUNDEF, XUNDEF,   3.00, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   3.00, XUNDEF, &
   3.00,   3.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   3.00,   3.00,   3.00, XUNDEF, &
 XUNDEF, XUNDEF,   3.00,   3.00, XUNDEF,   3.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF &
         /)
!-------------------------------------------------------------------                                                    
PDATA_GROUND_DEPTH(:,  6) = (/          &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   8.00,   5.00,   8.00,   5.00,   5.00, &
   8.00,   5.00,   5.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,   4.00,   4.00,   4.00,   4.00,   5.00,   4.00, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   3.00, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   5.00, XUNDEF, XUNDEF, XUNDEF, &
   3.00,   4.00, XUNDEF, XUNDEF,   4.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,   5.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF &
         /)
!-------------------------------------------------------------------                                                    
PDATA_GROUND_DEPTH(:,  7) = (/          &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00, XUNDEF, XUNDEF, &
 XUNDEF,   2.00,   2.00, XUNDEF, XUNDEF, XUNDEF,   2.00, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00, &
   2.00, XUNDEF,   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.50,   2.00,   2.00,   2.00,   2.00, XUNDEF, &
   2.00, XUNDEF,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00, &
   2.00,   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,   1.50,   1.50,   1.50,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00, &
   2.00,   2.00,   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.50,   1.50,   2.00,   2.00, &
   2.00,   1.50,   2.00,   2.00,   2.00,   1.50,   2.00,   1.50, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00, &
   2.00,   2.00, XUNDEF,   2.00,   2.00, XUNDEF,   2.00,   2.00,   2.00,   2.00, &
 XUNDEF,   2.00,   2.00,   2.00,   2.00,   2.00, XUNDEF, XUNDEF,   2.00,   2.00, &
   2.00, XUNDEF,   1.50, XUNDEF, XUNDEF,   1.50,   1.50, XUNDEF,   1.50,   1.50, &
   1.50,   1.50,   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.50, XUNDEF,   1.50, &
   1.50, XUNDEF,   2.00,   1.50, XUNDEF,   1.50,   1.50,   1.50,   1.50,   1.50, &
   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,   1.50, XUNDEF,   1.50, XUNDEF,   1.50,   1.50,   1.50,   1.50,   1.50, &
   1.50,   1.50,   1.50,   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.50,   1.50, &
   1.50,   2.00,   2.00,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50, &
   1.50,   1.50,   1.50,   1.50,   1.50,   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50, XUNDEF,   1.50, &
   1.50,   1.50, XUNDEF,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50, &
   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00, &
   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00, &
   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00, &
   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00, &
   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00, &
   2.00,   2.00,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50, &
   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50, &
   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50, &
   1.50,   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.50, XUNDEF,   1.50,   1.50, &
 XUNDEF,   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.50, XUNDEF, XUNDEF, XUNDEF,   2.00, &
   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00, &
   2.00,   2.00,   2.00 &
         /)
!-------------------------------------------------------------------                                                    
PDATA_GROUND_DEPTH(:,  8) = (/          &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00, XUNDEF, XUNDEF,   2.00, &
   2.00, XUNDEF,   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.50,   2.00,   2.00,   2.00, XUNDEF,   2.00, &
   2.00,   2.00, XUNDEF,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,   1.50,   1.50,   1.50,   2.00, XUNDEF, XUNDEF,   2.00,   2.00,   2.00, &
 XUNDEF,   2.00,   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00, &
   2.00,   2.00,   2.00,   2.00, XUNDEF,   2.00, XUNDEF,   2.00,   2.00,   2.00, &
   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.50,   1.50, XUNDEF,   1.50, XUNDEF, &
 XUNDEF, XUNDEF,   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.50,   1.50, XUNDEF, XUNDEF,   1.50, &
   1.50, XUNDEF,   1.50, XUNDEF,   1.50,   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.50,   1.50,   1.50, XUNDEF,   1.50, &
   1.50,   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.50,   1.50, &
   1.50,   1.50,   1.50,   1.50, XUNDEF,   1.50, XUNDEF,   1.50,   1.50,   1.50, &
   1.50,   1.50,   1.50,   1.50,   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   1.50,   1.50,   1.50,   1.50, XUNDEF,   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.50,   1.50, XUNDEF,   1.50,   1.50,   1.50, &
   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00, &
   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00, &
   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00, XUNDEF, &
   2.00,   2.00, XUNDEF,   2.00,   2.00,   2.00,   1.50,   2.00,   2.00,   2.00, &
   2.00,   2.00,   2.00,   2.00, XUNDEF,   2.00,   2.00, XUNDEF,   2.00,   2.00, &
 XUNDEF,   2.00,   2.00,   2.00,   1.50,   1.50,   1.50,   1.50,   1.50, XUNDEF, &
   1.50, XUNDEF,   1.50,   1.50, XUNDEF,   1.50,   1.50,   1.50,   1.50,   1.50, &
 XUNDEF,   1.50,   1.50,   1.50,   1.50,   1.50, XUNDEF,   1.50,   1.50,   1.50, &
   1.50, XUNDEF,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,   2.00,   2.00,   2.00,   2.00, XUNDEF,   2.00,   2.00,   2.00,   2.00, &
   2.00,   2.00,   2.00 &
         /)
ENDIF
!-------------------------------------------------------------------     
IF (PRESENT(PDATA_VEGTYPE).AND.PRESENT(PDATA_GROUND_DEPTH)) THEN                                               
WHERE(PDATA_VEGTYPE(:, 9)>0.) PDATA_GROUND_DEPTH(:,  9) = 2.00  
ENDIF                          
!-------------------------------------------------------------------          
IF (PRESENT(PDATA_GROUND_DEPTH)) THEN                                             
PDATA_GROUND_DEPTH(:, 10) = (/          &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.00, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.50, XUNDEF, XUNDEF,   1.50,   2.00,   1.00, &
 XUNDEF, XUNDEF,   1.50,   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,   2.00,   2.00, XUNDEF, XUNDEF, XUNDEF,   2.00, XUNDEF, XUNDEF, XUNDEF, &
   2.00,   2.00,   2.00,   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00, XUNDEF,   1.50, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00, &
 XUNDEF,   2.00,   2.00,   2.00,   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00, &
   2.00,   2.00,   2.00,   2.00,   1.00,   1.50,   1.50,   1.50,   1.50,   1.50, &
 XUNDEF, XUNDEF,   2.00,   2.00,   2.00,   1.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,   1.50, XUNDEF,   1.50, XUNDEF, XUNDEF,   1.50, XUNDEF,   1.50,   2.00, &
   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00, &
   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00, XUNDEF,   2.00, &
   2.00,   2.00,   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.50, &
   2.00,   2.00,   2.00,   2.00,   2.00,   1.50,   1.50,   1.00,   1.00,   2.00, &
   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   1.50,   1.50,   1.00,   1.00, &
   1.00,   1.00,   1.00,   1.00,   1.00,   2.00,   2.00,   1.50,   1.50,   1.50, &
   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50, &
   1.50,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00, &
   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   1.00,   1.00, &
   1.00,   2.00,   2.00,   1.50,   1.00,   1.50,   1.50,   1.00,   1.00,   1.50, &
   1.50,   1.00,   1.00,   1.00,   1.50,   1.00,   1.00,   2.00,   2.00,   2.00, &
   2.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00, &
 XUNDEF,   2.00, XUNDEF,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00, &
   2.00,   2.00,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50, &
 XUNDEF,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   2.00,   2.00, &
 XUNDEF,   2.00,   2.00,   2.00,   2.00,   2.00,   1.50,   1.50,   1.50,   2.00, &
   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00, &
   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00, &
   2.00,   2.00,   2.00,   2.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00, &
   1.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00, &
   2.00,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50, &
   1.50,   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.00, &
   1.00,   1.00,   1.00,   1.00,   1.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00,   2.00, &
   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00, &
   2.00,   2.00, XUNDEF &
         /)
!-------------------------------------------------------------------                                                    
PDATA_GROUND_DEPTH(:, 11) = (/          &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.00, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,   2.00,   2.00,   2.00,   2.00, XUNDEF,   2.00,   2.00, &
 XUNDEF, XUNDEF, XUNDEF,   2.00, XUNDEF, XUNDEF, XUNDEF,   1.50,   1.50,   2.00, &
   2.00,   1.50,   1.50, XUNDEF, XUNDEF,   2.00, XUNDEF,   1.50, XUNDEF, XUNDEF, &
 XUNDEF,   1.50, XUNDEF, XUNDEF,   2.00,   2.00,   1.50,   1.50,   1.50,   1.50, &
   1.50,   1.50,   1.50, XUNDEF, XUNDEF,   1.50, XUNDEF,   1.50, XUNDEF, XUNDEF, &
   1.50,   1.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.00,   2.00,   1.50,   2.00, &
   2.00, XUNDEF, XUNDEF,   2.00,   2.00,   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.50, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.50, XUNDEF,   1.50, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.00, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF &
         /)
!-------------------------------------------------------------------                                                    
PDATA_GROUND_DEPTH(:, 12) = (/          &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.00, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,   3.00,   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   2.00,   2.00,   2.00,   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00, &
   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00,   2.00,   2.00, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   1.50,   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.50, &
   1.50,   1.50,   1.50,   1.50,   1.50, XUNDEF,   1.50,   1.50,   1.50, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.50, &
   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50, XUNDEF,   1.50, XUNDEF, &
 XUNDEF,   1.50, XUNDEF,   1.50,   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF,   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   2.00, XUNDEF, XUNDEF,   2.00, XUNDEF, XUNDEF, XUNDEF,   2.00, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00,   2.00, XUNDEF, XUNDEF, XUNDEF, &
   2.00, XUNDEF, XUNDEF,   2.00,   2.00, XUNDEF,   2.00,   2.00,   2.00, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00,   2.00, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,   2.00, XUNDEF,   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF,   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00, &
 XUNDEF,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00, &
   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00, XUNDEF, XUNDEF, &
   2.00, XUNDEF, XUNDEF &
         /)
!-------------------------------------------------------------------                                                    
PDATA_GROUND_DEPTH(:, 13) = (/          &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   3.00, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   5.00, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   3.00,   3.00, XUNDEF, &
   3.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   3.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF &
         /)
!-------------------------------------------------------------------                                                    
PDATA_GROUND_DEPTH(:, 14) = (/          &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF,   5.00, XUNDEF, XUNDEF,   5.00,   3.00, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   3.00, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,   3.00,   3.00,   4.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,   3.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   3.00, XUNDEF,   3.00, &
   3.00,   3.00,   2.50,   2.50,   2.50,   2.50,   2.50,   2.50,   2.50,   2.00, &
   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.50, XUNDEF, XUNDEF, &
   2.00, XUNDEF,   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.50,   2.50, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   3.00, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,   3.00, XUNDEF,   2.00, XUNDEF,   2.00, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   3.00, &
   3.00,   3.00,   3.00,   3.00,   3.00,   3.00,   3.00,   3.00,   3.00,   3.00, &
   3.00, XUNDEF, XUNDEF, XUNDEF,   3.00,   3.00,   3.00,   3.00,   3.00, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   3.00, XUNDEF, XUNDEF &
         /)
!-------------------------------------------------------------------                                                    
PDATA_GROUND_DEPTH(:, 15) = (/          &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   3.00, &
 XUNDEF,   3.00, XUNDEF,   3.00,   4.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   3.00,   3.00, &
 XUNDEF,   3.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF,   3.00, XUNDEF, XUNDEF, XUNDEF,   3.00, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF,   3.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF,   3.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,   3.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,   3.00, XUNDEF, XUNDEF,   3.00,   3.00,   2.50,   3.00,   3.00,   3.00, &
   3.00,   3.00,   2.50,   2.50,   2.50,   2.50,   2.50,   2.50,   2.50,   2.00, &
   2.00,   2.00,   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,   3.00,   3.00,   3.00,   3.00, XUNDEF,   2.00, XUNDEF, XUNDEF, XUNDEF, &
   3.00,   3.00,   3.00,   3.00,   3.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.50,   2.50,   2.50, XUNDEF, XUNDEF, &
 XUNDEF,   2.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   2.50, XUNDEF,   2.50,   2.50, XUNDEF,   2.50, XUNDEF,   2.50, XUNDEF,   2.00, &
   2.00,   2.00,   2.00,   2.00,   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,   2.00,   2.00, XUNDEF, XUNDEF,   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00, XUNDEF,   2.50,   2.50,   2.50, &
   2.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF,   3.00, XUNDEF,   3.00,   3.00, XUNDEF,   3.00, &
 XUNDEF,   3.00,   3.00,   3.00,   3.00,   2.50,   2.50,   2.50,   2.50,   2.50, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,   3.00, XUNDEF, XUNDEF,   3.00,   3.00, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,   3.00,   3.00, XUNDEF,   3.00,   3.00,   3.00, XUNDEF, &
   3.00, XUNDEF, XUNDEF,   3.00, XUNDEF,   2.00,   2.00,   2.00,   2.00, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00, XUNDEF,   2.00,   2.00,   3.00, &
   3.00,   3.00,   3.00,   3.00,   3.00, XUNDEF,   3.00,   3.00,   3.00,   3.00, &
 XUNDEF,   2.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   3.00, XUNDEF, XUNDEF,   3.00, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   3.00, XUNDEF, XUNDEF, XUNDEF,   3.00, &
   3.00,   3.00, XUNDEF, XUNDEF,   3.00, XUNDEF,   3.00,   3.00,   3.00,   3.00, &
   3.00, XUNDEF,   3.00 &
         /)
ENDIF
!-------------------------------------------------------------------   
IF (PRESENT(PDATA_VEGTYPE).AND.PRESENT(PDATA_GROUND_DEPTH)) THEN                                                 
WHERE(PDATA_VEGTYPE(:,16)>0.) PDATA_GROUND_DEPTH(:, 16) = 3.00                            
!-------------------------------------------------------------------                                                    
WHERE(PDATA_VEGTYPE(:,17)>0.) PDATA_GROUND_DEPTH(:, 17) = 3.00  
ENDIF                          
!-------------------------------------------------------------------   
IF (PRESENT(PDATA_GROUND_DEPTH)) THEN                                                       
PDATA_GROUND_DEPTH(:, 18) = (/          &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   1.50, XUNDEF, XUNDEF, XUNDEF,   2.00,   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.50, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,   1.50, XUNDEF, XUNDEF,   1.50, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.00,   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00,   1.50,   1.50, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF,   1.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   1.50,   1.50,   1.50, XUNDEF,   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,   1.00,   1.00,   1.00,   1.50,   1.50,   1.50, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   1.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.00,   1.00, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00,   2.00, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF &
         /)
!-------------------------------------------------------------------                                                    
PDATA_GROUND_DEPTH(:, 19) = (/          &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   4.00,   4.00,   4.00,   4.00, &
   4.00,   4.00,   4.00, XUNDEF, XUNDEF,   3.00, XUNDEF, XUNDEF,   3.00, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00, &
 XUNDEF,   3.00,   3.00,   3.00, XUNDEF,   2.00,   2.00,   2.00,   2.00, XUNDEF, &
 XUNDEF, XUNDEF,   3.00,   3.00,   3.00,   3.00,   2.50,   2.50,   2.00,   2.00, &
   2.00,   2.00,   2.00,   2.00,   2.00, XUNDEF,   2.50,   2.50,   2.50,   2.50, &
   2.50,   2.50,   2.00,   2.50,   2.50,   2.00,   2.00,   2.00,   2.00,   2.50, &
   2.50, XUNDEF,   2.50,   2.50,   2.50,   2.50, XUNDEF, XUNDEF,   2.00, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00,   2.00,   2.00,   2.00, XUNDEF, &
   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00, XUNDEF,   2.00, &
   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,   2.50, XUNDEF, XUNDEF,   2.00,   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF,   3.00,   3.00,   3.00,   3.00,   3.00,   3.00, XUNDEF,   3.00, &
   3.00, XUNDEF, XUNDEF,   3.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.50,   2.50, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   3.00, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00,   2.00, &
   2.00,   2.00,   2.00,   2.00,   2.00, XUNDEF, XUNDEF,   2.00,   2.00, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,   2.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,   3.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,   3.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,   3.00,   3.00 &
         /)
ENDIF
!-------------------------------------------------------------------        
IF (PRESENT(PDATA_DICE)) THEN                                            
PDATA_DICE(:,  1) = (/          &
 XUNDEF, XUNDEF, XUNDEF,   0.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   0.30, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   0.40, &
 XUNDEF, XUNDEF, XUNDEF,   0.40, XUNDEF, XUNDEF, XUNDEF,   0.50,   0.50, XUNDEF, &
   0.50, XUNDEF,   0.50, XUNDEF, XUNDEF,   0.50, XUNDEF,   0.50, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,   0.30, XUNDEF,   0.50,   0.50,   0.50,   0.50,   0.50, &
   0.50,   0.50,   0.50,   0.30,   0.40,   0.40,   0.30,   0.30,   0.50,   0.50, &
   0.50,   0.50,   0.40,   0.40,   0.30,   0.30,   0.40, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF,   0.30, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF,   0.50, XUNDEF,   0.50, XUNDEF,   0.50, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.00,   0.80,   1.00, XUNDEF, &
   0.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   0.50, &
 XUNDEF, XUNDEF,   0.50, XUNDEF,   0.30,   0.50,   0.50, XUNDEF, XUNDEF,   0.50, &
   0.50,   0.50,   0.50,   0.50, XUNDEF,   0.50,   0.50, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,   0.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   0.25,   0.25, XUNDEF,   0.25,   0.25, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   0.25, &
   0.25,   0.30, XUNDEF,   0.30,   0.30,   0.30,   0.30,   0.30,   0.30, XUNDEF, &
 XUNDEF,   0.40,   0.40,   0.40,   0.40,   0.40,   0.50,   0.50,   0.50,   0.40, &
   0.40,   0.50,   0.50,   0.50,   1.00,   1.00,   1.00,   1.00,   1.00,   0.50, &
   0.50,   0.50,   0.50,   0.25,   0.25,   0.25,   0.25,   0.25,   0.25,   0.40, &
   0.40,   0.40,   0.40, XUNDEF,   0.40,   0.50,   0.50,   0.50,   0.40,   0.40, &
   0.40,   0.40,   0.40,   0.40,   0.40,   0.40,   0.40,   0.40,   0.40,   0.40, &
   0.40,   0.40,   0.40,   0.40,   0.40,   0.50,   0.50,   0.50,   0.30,   0.40, &
   0.40,   0.50,   0.50,   0.50,   0.30,   0.40,   0.40,   0.40,   0.50,   0.50, &
   0.50,   0.40,   0.40,   1.00,   1.00,   0.50,   0.50,   0.50,   0.50,   0.50, &
   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50, &
   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50, &
   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50, &
   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.25, &
   0.40,   0.40,   0.40,   0.40,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00, &
   0.80,   0.80,   0.40,   0.40,   0.40,   0.40,   0.40,   0.50,   0.40,   0.40, &
   0.30,   0.30,   0.30,   0.40,   0.40,   0.40,   0.80,   0.80,   0.80,   0.80, &
   0.80,   0.80,   0.80,   0.80,   0.80,   0.80,   0.50,   0.40,   0.40,   0.40, &
   0.40,   0.40,   0.40,   0.40,   0.40,   0.40,   0.40,   0.40,   0.40,   0.50, &
   0.40,   0.40,   0.40,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50, &
   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   1.00, &
   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00, &
   0.40,   0.50,   0.50,   0.50,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00, &
   1.00,   1.00, XUNDEF, XUNDEF,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50, &
   0.50,   0.50,   0.50,   0.50,   0.50,   0.25,   0.25, XUNDEF, XUNDEF,   0.50, &
   0.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   0.40,   0.40,   0.40,   0.40,   0.40,   0.30,   0.50,   0.50, XUNDEF,   0.50, &
   0.50,   1.00,   1.00 &
         /)
!-------------------------------------------------------------------                                                    
PDATA_DICE(:,  2) = (/          &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF,   0.20, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   0.25,   0.25, XUNDEF,   0.25,   0.25, XUNDEF,   0.25, XUNDEF,   0.25,   0.25, &
   0.25,   0.20, XUNDEF,   0.20,   0.20,   0.20,   0.20,   0.20,   0.20,   0.20, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   0.20, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,   0.25,   0.25,   0.25,   0.25,   0.25,   0.25,   0.20, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   0.20,   0.20,   0.20,   0.20, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF,   0.20,   0.20,   0.20,   0.20,   0.20,   0.20, &
   0.20,   0.20,   0.20,   0.20,   0.20, XUNDEF,   0.20,   0.20, XUNDEF,   0.20, &
   0.20, XUNDEF,   0.20, XUNDEF, XUNDEF,   0.20,   0.20, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   0.20,   0.20,   0.20,   0.20,   0.20, &
   0.20,   0.20,   0.20,   0.20,   0.20,   0.20,   0.20,   0.20,   0.20,   0.20, &
   0.20,   0.20,   0.20,   0.20,   0.20,   0.20,   0.20,   0.20,   0.20,   0.20, &
   0.20,   0.20,   0.20,   0.20,   0.20,   0.20,   0.20,   0.20,   0.20, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,   0.20, XUNDEF, XUNDEF, XUNDEF,   0.20, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   0.20, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   0.20, &
 XUNDEF,   0.20,   0.20,   0.20,   0.20,   0.20,   0.20,   0.20,   0.20,   0.20, &
   0.20,   0.20,   0.20,   0.20,   0.20,   0.20,   0.20,   0.20,   0.20,   0.20, &
   0.20,   0.20, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   0.20,   0.20, XUNDEF, &
 XUNDEF,   0.20,   0.20,   0.20, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   0.20, &
   0.20,   0.20, XUNDEF,   0.20,   0.20,   0.25, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   0.20, XUNDEF, XUNDEF &
         /)
!-------------------------------------------------------------------                                                    
PDATA_DICE(:,  3) = (/          &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   0.20, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   0.25,   0.25, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF &
         /)
!-------------------------------------------------------------------                                                    
PDATA_DICE(:,  4) = (/          &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.60, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.00, XUNDEF, XUNDEF, XUNDEF,   1.00, &
 XUNDEF,   1.60, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,   2.40, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   3.00, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   3.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   1.60,   2.00,   1.60, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.60, &
   1.60, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   3.00,   2.40,   2.00,   1.60, &
   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00,   2.00,   1.60,   1.60, &
   1.60,   2.00,   1.60,   1.60,   1.60, XUNDEF, XUNDEF,   2.00,   2.00,   2.00, &
   2.00,   1.60,   1.60,   1.60,   1.60,   1.60,   1.60, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00,   1.60,   1.60,   1.60,   1.60, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00, &
   2.00, XUNDEF,   2.00, XUNDEF,   1.60, XUNDEF, XUNDEF,   1.60, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,   1.00, XUNDEF, XUNDEF,   1.00, XUNDEF,   1.00,   1.60, &
   1.60,   1.60,   1.60,   1.60,   1.60,   1.60, XUNDEF, XUNDEF,   2.00, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,   1.50,   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.60, &
   1.60,   1.60, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,   1.60, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00, XUNDEF, XUNDEF,   1.50, &
 XUNDEF,   1.50, XUNDEF,   1.50,   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00, XUNDEF, XUNDEF, &
   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00, XUNDEF, &
 XUNDEF,   1.60,   2.40, XUNDEF,   1.60,   1.60,   1.60,   2.00, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,   1.60,   1.60,   1.60,   1.60, XUNDEF,   1.60, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,   1.60,   1.60,   1.60, XUNDEF,   1.60, XUNDEF,   1.60, &
   1.60,   1.60, XUNDEF,   1.60,   1.60,   1.60,   1.60,   1.60,   1.60, XUNDEF, &
   1.60,   1.60,   1.60, XUNDEF, XUNDEF, XUNDEF,   1.50, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.50,   1.50, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.60, XUNDEF, XUNDEF, XUNDEF,   1.60, &
   1.60,   1.60,   1.60,   1.60,   1.60, XUNDEF,   2.00,   2.00,   1.60,   2.00, &
 XUNDEF, XUNDEF, XUNDEF &
         /)
!-------------------------------------------------------------------                                                    
PDATA_DICE(:,  5) = (/          &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   0.30, XUNDEF,   1.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   0.30, XUNDEF,   1.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   0.30,   1.00, XUNDEF, XUNDEF,   1.00,   1.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   0.30,   1.00, &
 XUNDEF, XUNDEF, XUNDEF,   1.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,   0.30,   1.60, XUNDEF,   0.30, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF,   0.30, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00,   1.60, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00,   1.60,   1.60, &
   1.60,   1.60,   1.60, XUNDEF,   2.00,   1.60,   1.60,   1.60,   1.60, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.60, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   0.25,   0.25,   0.25,   0.25,   0.25,   0.25,   0.25,   0.25,   0.25,   0.25, &
   0.25,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.60, &
   1.60, XUNDEF,   1.60,   1.60, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   0.25, XUNDEF, XUNDEF, &
   1.60, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.50, XUNDEF, XUNDEF, XUNDEF,   1.60, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.60, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.60, &
   1.60, XUNDEF,   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   1.00,   1.00,   1.00,   1.60,   1.60,   1.60, XUNDEF, XUNDEF, XUNDEF,   1.60, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.60, XUNDEF, &
   1.60,   1.60, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   0.25,   1.00,   1.00, XUNDEF, &
 XUNDEF, XUNDEF,   1.60,   1.60, XUNDEF,   1.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF &
         /)
!-------------------------------------------------------------------                                                    
PDATA_DICE(:,  6) = (/          &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   8.00,   5.00,   8.00,   4.00,   5.00, &
   8.00,   4.00,   5.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,   3.00,   3.00,   3.00,   3.00,   4.00,   3.00, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   3.00, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   5.00, XUNDEF, XUNDEF, XUNDEF, &
   2.40,   3.00, XUNDEF, XUNDEF,   3.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,   5.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF &
         /)
!-------------------------------------------------------------------                                                    
PDATA_DICE(:,  7) = (/          &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.20, XUNDEF, XUNDEF, &
 XUNDEF,   0.80,   1.20, XUNDEF, XUNDEF, XUNDEF,   1.20, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.20, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   0.80, &
   1.20, XUNDEF,   1.20, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.00,   1.50,   1.50,   1.50,   1.50, XUNDEF, &
   1.20, XUNDEF,   1.20,   1.20,   1.20,   1.20,   1.20,   0.80,   1.20,   1.50, &
   1.50,   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,   1.00,   1.00,   1.00,   1.50,   1.20,   1.50,   1.20,   1.20,   1.20, &
   1.20,   1.20,   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.00,   1.00,   1.20,   1.20, &
   1.20,   1.00,   1.20,   1.20,   1.20,   1.00,   1.20,   1.00, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   0.25, &
   0.25,   0.60, XUNDEF,   0.60,   0.60, XUNDEF,   0.60,   0.60,   0.60,   1.20, &
 XUNDEF,   1.20,   1.20,   1.20,   1.20,   1.20, XUNDEF, XUNDEF,   1.50,   1.20, &
   1.20, XUNDEF,   1.00, XUNDEF, XUNDEF,   1.00,   1.00, XUNDEF,   1.00,   1.00, &
   1.00,   1.00,   1.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   0.25, XUNDEF,   0.80, &
   0.80, XUNDEF,   1.20,   0.80, XUNDEF,   1.00,   1.00,   1.00,   0.80,   0.80, &
   1.20,   1.20,   1.20,   1.20,   1.20,   1.20,   1.20, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,   0.80, XUNDEF,   0.80, XUNDEF,   1.00,   1.00,   1.00,   0.40,   0.80, &
   0.80,   1.00,   1.00,   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.00,   1.00, &
   1.00,   1.20,   1.20,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00, &
   1.00,   1.00,   1.00,   1.00,   1.00,   1.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00, XUNDEF,   1.00, &
   1.00,   1.00, XUNDEF,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00, &
   1.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,   1.20,   1.20,   1.20,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50, &
   1.20,   1.20,   1.20,   1.20,   1.20,   1.20,   1.20,   1.50,   1.20,   1.20, &
   0.60,   0.60,   0.60,   1.20,   1.20,   1.20,   1.20,   1.20,   1.20,   1.20, &
   1.20,   1.20,   1.20,   1.20,   1.20,   1.20,   1.50,   1.20,   1.20,   1.20, &
   1.20,   1.20,   1.20,   1.20,   1.20,   1.20,   1.20,   1.20,   1.20,   1.50, &
   1.20,   1.20,   0.80,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00, &
   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00, &
   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00, &
   0.80,   1.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.00, XUNDEF,   1.00,   1.00, &
 XUNDEF,   1.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   0.80, XUNDEF, XUNDEF, XUNDEF,   1.20, &
   1.20,   1.20,   1.20,   1.20,   1.20,   0.60,   1.50,   1.50,   1.20,   1.50, &
   1.50,   1.50,   1.50 &
         /)
!-------------------------------------------------------------------                                                    
PDATA_DICE(:,  8) = (/          &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.20, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.20, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.50, XUNDEF, XUNDEF,   0.80, &
   1.20, XUNDEF,   1.20, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.00,   1.50,   1.50,   1.50, XUNDEF,   1.50, &
   1.20,   1.50, XUNDEF,   1.20,   1.20,   1.20,   1.20,   0.80,   1.20, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,   1.00,   1.00,   1.00,   1.50, XUNDEF, XUNDEF,   1.20,   1.20,   1.20, &
 XUNDEF,   1.20,   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,   0.60, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.20, &
   1.20,   1.20,   1.20,   1.20, XUNDEF,   1.20, XUNDEF,   1.50,   1.50,   1.20, &
   1.20, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.00,   1.00, XUNDEF,   1.00, XUNDEF, &
 XUNDEF, XUNDEF,   1.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.00,   1.00, XUNDEF, XUNDEF,   0.80, &
   0.80, XUNDEF,   0.80, XUNDEF,   0.80,   0.80, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.00,   1.00,   1.00, XUNDEF,   0.80, &
   0.80,   1.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.00,   1.00, &
   1.00,   0.80,   0.80,   1.00, XUNDEF,   1.00, XUNDEF,   1.00,   1.00,   1.00, &
   1.00,   1.00,   1.00,   1.00,   1.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   1.00,   1.00,   1.00,   1.00, XUNDEF,   1.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.00,   1.00, XUNDEF,   1.00,   1.00,   1.00, &
   1.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,   1.20,   1.20,   1.20,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50, &
   1.20,   1.20,   1.20,   1.20,   1.20,   1.20,   1.20,   1.50,   1.20,   1.20, &
   0.60,   0.60,   0.60,   1.20,   1.20,   1.20,   1.20,   1.20,   1.20, XUNDEF, &
   1.20,   1.20, XUNDEF,   1.20,   1.20,   1.20,   1.00,   1.20,   1.20,   1.20, &
   1.20,   1.20,   1.20,   1.20, XUNDEF,   1.20,   1.20, XUNDEF,   1.20,   1.50, &
 XUNDEF,   1.20,   1.20,   1.50,   1.00,   1.00,   1.00,   1.00,   1.00, XUNDEF, &
   1.00, XUNDEF,   1.00,   1.00, XUNDEF,   1.00,   1.00,   1.00,   1.00,   1.00, &
 XUNDEF,   1.00,   1.00,   1.00,   1.00,   1.00, XUNDEF,   1.00,   1.00,   1.00, &
   0.80, XUNDEF,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,   1.20,   1.20,   1.20,   1.20, XUNDEF,   1.50,   1.50,   1.20,   1.50, &
   1.50,   1.50,   1.50 &
         /)
!-------------------------------------------------------------------                                                    
PDATA_DICE(:,  9) = (/          &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,   1.50,   1.50,   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.50,   1.50, XUNDEF,   1.50, XUNDEF, &
 XUNDEF,   1.50,   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.20, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.50,   1.50, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.50, &
   1.50, XUNDEF, XUNDEF,   1.50,   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   1.50, XUNDEF,   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF,   1.20,   1.20,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50, &
   1.20, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.50, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.50,   1.20, XUNDEF,   1.20, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.50,   1.50,   1.50, XUNDEF, XUNDEF, &
 XUNDEF,   1.50, XUNDEF,   1.50, XUNDEF,   1.50,   1.50,   1.50,   1.50,   1.50, &
   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50, &
 XUNDEF, XUNDEF,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50, &
   1.50,   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.20, XUNDEF,   1.50,   1.50, XUNDEF, XUNDEF, &
   1.50, XUNDEF, XUNDEF &
         /)
!-------------------------------------------------------------------                                                    
PDATA_DICE(:, 10) = (/          &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   0.30, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,   1.20, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF,   0.80, XUNDEF, XUNDEF,   0.50,   1.50,   0.50, &
 XUNDEF, XUNDEF,   0.80,   1.20, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,   1.50,   1.20, XUNDEF, XUNDEF, XUNDEF,   1.20, XUNDEF, XUNDEF, XUNDEF, &
   1.20,   1.20,   0.80,   1.20, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.20, XUNDEF,   0.80, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.20, &
 XUNDEF,   1.20,   1.20,   1.20,   1.20, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.50, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.50, &
   1.20,   1.20,   1.50,   1.20,   0.30,   1.00,   1.00,   0.80,   0.80,   1.00, &
 XUNDEF, XUNDEF,   1.50,   1.50,   1.20,   0.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,   0.40, XUNDEF,   0.40, XUNDEF, XUNDEF,   0.40, XUNDEF,   0.40,   1.20, &
   1.20,   1.20,   1.20,   1.20,   1.20,   1.20,   1.50,   1.50,   1.50,   1.20, &
   1.20,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50, XUNDEF,   1.50, &
   1.50,   1.50,   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   0.80, &
   1.20,   1.20,   1.20,   1.20,   1.20,   1.00,   1.00,   0.50,   0.40,   1.20, &
   1.20,   1.20,   1.20,   1.20,   1.20,   1.20,   0.80,   0.80,   0.40,   0.40, &
   0.40,   0.40,   0.40,   0.40,   0.40,   1.50,   1.50,   1.00,   0.40,   0.80, &
   0.80,   1.00,   1.00,   1.00,   0.40,   0.80,   0.80,   0.80,   1.00,   1.00, &
   1.00,   1.20,   1.20,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50, &
   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   0.50,   0.50, &
   0.50,   1.50,   1.50,   1.00,   0.50,   1.00,   1.00,   0.50,   0.50,   1.00, &
   1.00,   0.50,   0.50,   0.50,   1.00,   0.50,   0.50,   1.50,   1.50,   1.50, &
   1.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.25, &
 XUNDEF,   1.20, XUNDEF,   1.20,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50, &
   1.20,   1.20,   0.80,   0.80,   0.80,   0.80,   0.80,   1.00,   0.80,   0.80, &
 XUNDEF,   0.40,   0.40,   0.80,   0.80,   0.80,   0.80,   0.80,   1.20,   1.20, &
 XUNDEF,   1.20,   1.20,   1.20,   1.20,   1.20,   1.00,   0.80,   0.80,   1.20, &
   1.20,   1.20,   1.20,   1.20,   1.20,   1.20,   1.20,   1.20,   1.20,   1.50, &
   1.20,   1.20,   1.20,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50, &
   1.50,   1.50,   1.50,   1.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50, &
   0.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50, &
   1.20,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00,   1.00, &
   1.00,   1.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   0.50, &
   0.50,   0.50,   0.50,   0.50,   0.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   0.60,   1.20, &
   1.20,   1.20,   1.20,   1.20,   1.20,   0.60,   1.50,   1.50,   1.20,   1.50, &
   1.50,   1.50, XUNDEF &
         /)
!-------------------------------------------------------------------                                                    
PDATA_DICE(:, 11) = (/          &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.00, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,   1.50,   1.50,   1.50,   1.50, XUNDEF,   1.50,   1.20, &
 XUNDEF, XUNDEF, XUNDEF,   1.20, XUNDEF, XUNDEF, XUNDEF,   1.00,   1.00,   1.50, &
   1.50,   1.00,   1.00, XUNDEF, XUNDEF,   1.50, XUNDEF,   1.00, XUNDEF, XUNDEF, &
 XUNDEF,   1.00, XUNDEF, XUNDEF,   1.50,   1.50,   1.00,   1.00,   1.00,   1.00, &
   1.00,   1.00,   1.00, XUNDEF, XUNDEF,   0.80, XUNDEF,   0.50, XUNDEF, XUNDEF, &
   1.00,   0.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   0.40,   1.50,   1.00,   1.50, &
   1.50, XUNDEF, XUNDEF,   1.20,   1.50,   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.00, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   0.80, XUNDEF,   0.80, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   0.50, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF &
         /)
!-------------------------------------------------------------------                                                    
PDATA_DICE(:, 12) = (/          &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   0.80, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,   3.00,   0.30, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   1.20,   1.50,   1.20,   1.20, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.20, &
   1.20, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.60,   1.60,   1.20, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   0.25,   0.25, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   0.25, &
   0.25,   0.40,   0.40,   0.40,   0.40, XUNDEF,   0.40,   0.40,   0.40, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF,   0.80, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.60, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   0.80, &
   0.80,   0.80,   0.80,   0.80,   0.80,   1.00,   1.00, XUNDEF,   0.80, XUNDEF, &
 XUNDEF,   0.80, XUNDEF,   0.80,   0.80, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   0.80, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF,   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   1.20, XUNDEF, XUNDEF,   1.20, XUNDEF, XUNDEF, XUNDEF,   1.50, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.20,   1.20, XUNDEF, XUNDEF, XUNDEF, &
   1.20, XUNDEF, XUNDEF,   1.20,   1.20, XUNDEF,   1.50,   1.20,   1.20, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.20,   1.20, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,   1.50, XUNDEF,   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF,   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.50, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.50, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.50, &
 XUNDEF,   0.25,   1.50,   1.20,   1.20,   1.60,   0.25,   1.00,   1.00,   1.60, &
   1.20,   1.20,   1.20,   1.20,   1.20,   0.60,   1.50,   1.50, XUNDEF, XUNDEF, &
   1.50, XUNDEF, XUNDEF &
         /)
!-------------------------------------------------------------------                                                    
PDATA_DICE(:, 13) = (/          &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   3.00, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   3.00,   3.00, XUNDEF, &
   3.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   3.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF &
         /)
!-------------------------------------------------------------------                                                    
PDATA_DICE(:, 14) = (/          &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF,   3.00, XUNDEF, XUNDEF,   3.00,   2.00, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.60, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,   2.00,   2.00,   2.40, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00, XUNDEF,   1.60, &
   1.60,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   1.50, &
   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00, XUNDEF, XUNDEF, &
   1.50, XUNDEF,   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00,   2.00, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,   2.00, XUNDEF,   1.50, XUNDEF,   1.50, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00, &
   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00, &
   1.60, XUNDEF, XUNDEF, XUNDEF,   3.00,   3.00,   3.00,   3.00,   3.00, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   2.00, XUNDEF, XUNDEF &
         /)
!-------------------------------------------------------------------                                                    
PDATA_DICE(:, 15) = (/          &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.00, &
 XUNDEF,   1.60, XUNDEF,   1.60,   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00,   1.00, &
 XUNDEF,   1.60, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF,   1.60, XUNDEF, XUNDEF, XUNDEF,   1.60, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.60, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF,   1.60, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   0.80, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,   1.60, XUNDEF, XUNDEF,   1.60,   1.60,   2.00,   2.00,   2.00,   1.60, &
   1.60,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   2.00,   1.50, &
   1.50,   1.50,   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,   1.60,   1.60,   1.60,   1.60, XUNDEF,   1.50, XUNDEF, XUNDEF, XUNDEF, &
   1.60,   1.60,   1.60,   1.60,   1.60, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00,   2.00,   2.00, XUNDEF, XUNDEF, &
 XUNDEF,   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   2.00, XUNDEF,   1.60,   2.00, XUNDEF,   2.00, XUNDEF,   2.00, XUNDEF,   1.50, &
   1.50,   1.50,   1.50,   1.50,   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,   1.50,   1.50, XUNDEF, XUNDEF,   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.50, XUNDEF,   2.00,   2.00,   2.00, &
   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00, XUNDEF,   2.00,   2.00, XUNDEF,   2.00, &
 XUNDEF,   1.60,   1.60,   1.60,   1.60,   1.60,   1.60,   2.00,   1.60,   1.60, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,   1.60, XUNDEF, XUNDEF,   2.00,   1.60, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,   1.60,   1.60, XUNDEF,   1.60,   1.60,   1.60, XUNDEF, &
   1.60, XUNDEF, XUNDEF,   2.00, XUNDEF,   1.50,   1.50,   1.50,   1.50, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.50, XUNDEF,   1.50,   1.50,   2.00, &
   2.00,   2.00,   2.00,   2.00,   2.00, XUNDEF,   2.00,   2.00,   2.00,   2.00, &
 XUNDEF,   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   3.00, XUNDEF, XUNDEF,   2.00, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.60, XUNDEF, XUNDEF, XUNDEF,   1.60, &
   1.60,   1.60, XUNDEF, XUNDEF,   1.60, XUNDEF,   2.00,   2.00,   1.60,   2.00, &
   2.00, XUNDEF,   2.00 &
         /)
!-------------------------------------------------------------------                                                    
PDATA_DICE(:, 16) = (/          &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   0.30, XUNDEF,   1.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,   1.60, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   0.25,   0.25,   0.25,   0.25,   0.25,   0.25,   0.25,   0.25,   0.25,   0.25, &
   0.25,   1.00,   1.00, XUNDEF,   1.00,   1.00, XUNDEF,   1.00, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   1.60, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   1.00,   1.00,   1.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.60, &
   1.60, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   0.25,   1.00,   1.00, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF &
         /)
ENDIF
!-------------------------------------------------------------------        
IF (PRESENT(PDATA_VEGTYPE).AND.PRESENT(PDATA_DICE)) THEN                                            
WHERE(PDATA_VEGTYPE(:,17)>0.) PDATA_DICE(:, 17) = 0.30  
ENDIF                                  
!-------------------------------------------------------------------     
IF (PRESENt(PDATA_DICE)) THEN                                               
PDATA_DICE(:, 18) = (/          &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   0.30, XUNDEF, XUNDEF, XUNDEF,   0.80,   0.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   0.30, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,   0.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,   0.30, XUNDEF, XUNDEF,   0.30, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF,   0.30,   0.30, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   0.30,   0.80,   0.30, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF,   0.30, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.20, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   0.25,   0.25,   0.25, XUNDEF,   0.25, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,   0.25,   0.25,   0.25,   0.25,   0.25,   0.25, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   0.40, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   0.40, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
   1.20, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   0.25,   0.25, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   0.25,   0.60, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF &
         /)
!-------------------------------------------------------------------                                                    
PDATA_DICE(:, 19) = (/          &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   4.00,   4.00,   4.00,   4.00, &
   4.00,   4.00,   4.00, XUNDEF, XUNDEF,   2.40, XUNDEF, XUNDEF,   3.00, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF,   0.25,   0.25,   0.25,   0.25,   0.25,   0.25,   1.20, &
 XUNDEF,   1.60,   1.60,   1.60, XUNDEF,   1.50,   1.50,   1.50,   1.20, XUNDEF, &
 XUNDEF, XUNDEF,   1.60,   1.60,   1.60,   1.60,   1.60,   1.60,   1.20,   1.20, &
   1.20,   1.20,   1.20,   1.20,   1.20, XUNDEF,   2.00,   2.00,   1.00,   1.60, &
   1.60,   2.00,   1.50,   2.00,   1.00,   1.20,   1.20,   1.20,   1.50,   2.00, &
   2.00, XUNDEF,   1.60,   2.00,   2.00,   2.00, XUNDEF, XUNDEF,   1.50, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.50,   1.50,   1.50,   1.50, XUNDEF, &
   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50, XUNDEF,   1.50, &
   1.50,   1.50,   1.50,   1.50,   1.50,   1.50,   1.50, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,   2.00, XUNDEF, XUNDEF,   1.50,   1.50, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF,   1.60,   1.60,   3.00,   2.00,   2.00,   2.00, XUNDEF,   2.00, &
   1.60, XUNDEF, XUNDEF,   2.40, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.60,   1.60, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   2.00, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF,   1.50,   1.50, &
   1.50,   1.50,   1.50,   1.50,   1.50, XUNDEF, XUNDEF,   1.50,   1.50, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,   2.00, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, XUNDEF, &
 XUNDEF,   3.00,   3.00 &
         /)
ENDIF
IF (PRESENT(PDATA_VEGTYPE)) THEN
  IF (PRESENT(TPDATA_SEED)) THEN
!-------------------------------------------------------------------                                                    
    WHERE(PDATA_VEGTYPE(:, 9)>0.        ) TPDATA_SEED(:,  9)%TDATE%DAY =10
!-------------------------------------------------------------------                                                    
    WHERE(PDATA_VEGTYPE(:, 9)>0.        ) TPDATA_SEED(:,  9)%TDATE%MONTH =05
  ENDIF
  IF (PRESENT(TPDATA_REAP)) THEN
!-------------------------------------------------------------------                                                    
    WHERE(PDATA_VEGTYPE(:, 9)>0.        ) TPDATA_REAP(:,  9)%TDATE%DAY =01
!-------------------------------------------------------------------                                                    
    WHERE(PDATA_VEGTYPE(:, 9)>0.        ) TPDATA_REAP(:,  9)%TDATE%MONTH =08
!-------------------------------------------------------------------               
  ENDIF   
ENDIF                                  
!
IF (LHOOK) CALL DR_HOOK('DEFAULT_DATA_COVER',1,ZHOOK_HANDLE) 
!
END SUBROUTINE DEFAULT_DATA_COVER
